import random

from os import system, name

from time import sleep

def clear():
  
    #windows
    if name == 'nt':
        _ = system('cls')
  
    #mac and linux
    else:
        _ = system('clear')

class color:
   PURPLE = '\033[95m'
   CYAN = '\033[96m'
   DARKCYAN = '\033[36m'
   BLUE = '\033[94m'
   GREEN = '\033[92m'
   YELLOW = '\033[93m'
   RED = '\033[91m'
   BOLD = '\033[1m'
   UNDERLINE = '\033[4m'
   END = '\033[0m'

gameChoice = None
choice = None
continueLoop = None
hand = []

print(''' _       __     __                             __           __  __  
| |     / /__  / /________  ____ ___  ___     / /_____     / /_/ /_  ___ 
| | /| / / _ \/ / ___/ __ \/ __ `__ \/ _ \   / __/ __ \   / __/ __ \/ _ \

| |/ |/ /  __/ / /__/ /_/ / / / / / /  __/  / /_/ /_/ /  / /_/ / / /  __/
|__/|__/\___/_/\___/\____/_/_/_/ /_/\___/   \__/\____/_  \__/_/ /_/\___/ 
   / | / /__ _      __   /   |  ______________ _____/ /__                
  /  |/ / _ \ | /| / /  / /| | / ___/ ___/ __ `/ __  / _ \               
 / /|  /  __/ |/ |/ /  / ___ |/ /  / /__/ /_/ / /_/ /  __/               
/_/ |_/\___/|__/|__/  /_/  |_/_/   \___/\__,_/\__,_/\___/                
    ____  ________  ________  ____  / /______                            
   / __ \/ ___/ _ \/ ___/ _ \/ __ \/ __/ ___/                            
  / /_/ / /  /  __(__  )  __/ / / / /_(__  ) _ _                         
 / .___/_/   \___/____/\___/_/ /_/\__/____(_|_|_)                        
/_/                                                                      
''')

sleep(3)

clear()

print('''██╗     ██╗███╗   ██╗ ██████╗ ██╗   ██╗ █████╗     ███████╗██████╗  █████╗ ███╗   ██╗ ██████╗ █████╗ 
██║     ██║████╗  ██║██╔════╝ ██║   ██║██╔══██╗    ██╔════╝██╔══██╗██╔══██╗████╗  ██║██╔════╝██╔══██╗
██║     ██║██╔██╗ ██║██║  ███╗██║   ██║███████║    █████╗  ██████╔╝███████║██╔██╗ ██║██║     ███████║
██║     ██║██║╚██╗██║██║   ██║██║   ██║██╔══██║    ██╔══╝  ██╔══██╗██╔══██║██║╚██╗██║██║     ██╔══██║
███████╗██║██║ ╚████║╚██████╔╝╚██████╔╝██║  ██║    ██║     ██║  ██║██║  ██║██║ ╚████║╚██████╗██║  ██║
╚══════╝╚═╝╚═╝  ╚═══╝ ╚═════╝  ╚═════╝ ╚═╝  ╚═╝    ╚═╝     ╚═╝  ╚═╝╚═╝  ╚═╝╚═╝  ╚═══╝ ╚═════╝╚═╝  ╚═╝''')

sleep(1)

print("\n\nCreated by New Arcade")

sleep(1)

print("newarcade.cc")

sleep(1)

input("\nPress enter to play. ")

clear()

while gameChoice != "0":
  choice = None
  hand = []
  
  print(color.BOLD + "Gamemode Select" + color.END)

  gameChoice = input('''Press 1 to view the Rules and Cards.
Press 2 to play Lingua Franca Classic.
Press 3 to play Lingua Franca Base-12.
Press 4 to play Lingua Franca Base-6.
Press 5 to play Lingua Franca Boring Edition.
Press 0 to exit the game.

''')

  if gameChoice == "1":
    while choice != "0":
      clear()

      print(color.BOLD + "Rules and Cards" + color.END)

      choice = input('''Press 1 to view the rules.
Press 2 to view the cards.
Press 0 to return to game selection. 

''')

      if choice == "1":
        clear()
        
        print(color.BOLD + "Rules" + color.END)

        input('''To play the game, you will need a chat service such as Discord to communicate 
with your friends.

Upon selecting the gamemode, each player enters the Turn Selection menu, and tells the others 
what number they recieved. Play order is determined by highest to lowest number, unless a Reverse 
Order card is played.

Each player draws seven cards to start off.

On each turn, a player "places" down a card, or in other words states which card they are using 
in the chat service. When starting off, the first person who goes can play any card they want. 
The next player can then play a card of the same language or number as the previous card, or play 
any card labeled as a "Languageless Card" or a "Language Changing Card".

If the player has no valid cards to play, they must draw cards until they recieve one.

Languageless Cards can be played regardless of the language of the current top card, but will 
not change the language in use. Language Changing Cards can be played regardless of language, 
and the player using the card can then choose which language will be in use.

When a Trade Card or a Swap Card is played, each player should privately message, or DM, their 
hand to the player they are giving their hand to.

The first player to have an empty hand wins the game. ''')

      elif choice == "2":
        clear()

        print(color.BOLD + "Basic Cards" + color.END)
        print('''The most common cards in the game are the Basic Cards. These cards feature a language and a color. 
The five languages are German, Romansh, French, Mandarin, and Esperanto. Classic features numbers 0-9, 
but Base-12 has numbers 0-B and Base-6 has 0-5.''')

        print("\n" + color.BOLD + "Wild and Phantom Cards" + color.END)  
        print('''Wild Cards and Phantom Cards can be used regardless of the current language. Wild Cards allow the
player to change the language in use, so the next player must play a card of that language. Phantom Cards 
don't change the language, and function as if they weren't there at all - the next player plays a card as 
if the number and language were still exactly the same as before.''')

        print("\n" + color.BOLD + "Draw Cards" + color.END)  
        print('''Draw Cards make the next player have to skip their turn and draw however many cards are specified 
on the Draw Card (1-6 cards). Draw 1 up to Draw 4 are Language Changing, while Draw 5 and Draw 6 are
Languageless. Optionally, Draw Cards may be stacked on each other and the player who can not add to the 
stack must draw the cards, but this is not a rule in regular play.''')  

        print("\n" + color.BOLD + "Reverse Order Cards" + color.END)  
        print('''Reverse Order Cards simply reverse the order of play. Instead of the person who was assigned the
next lowest number in the Turn Selection going next, the person who was assigned the next highest number 
goes next, or vice versa if a second reverse card is used.''')   

        print("\n" + color.BOLD + "Trade Cards" + color.END)  
        print('''Trade Cards make everyone swap hands. Trade A means each person has to give their hand to the person 
whos turn is after theirs, while Trade B is the opposite - each person has to give their hand to the person who 
goes before them. Trade Cards can only be used on their matching language.''')

        print("\n" + color.BOLD + "Swap Cards" + color.END)  
        print('''Swap Cards allow the player using the card to swap hands with one person. Swap A lets the player swap 
with the player whos turn is after theirs, while Swap B lets the player swap with the person whos turn is 
before theirs. Choice Swap allows the player to swap hands with whoever they wish.''')

        print("\n" + color.BOLD + "+ and - Cards" + color.END)  
        print('''+ and - Cards add or subtract to the number of the previous card. They can go up to + or - 3, and are 
Languageless Cards, so they have no effect on the language in use. If a + or - Card would result in the number 
going above 9 or below 0, the numbers loop over (ex. A +3 card used on Acht (German, 8) Card would simply 
go three up to Eins (German, 1), instead of to an eleven card.''')

        print("\n" + color.BOLD + "Skip Cards" + color.END)  
        print('''Skip Cards simply skip the turn of the next player, while Skip Twice cards skip the next two 
players turns. They can only be used on their respective languages.''')

        print("\n" + color.BOLD + "Skip in Some Countries" + color.END)  
        print('''Skip in Some Countries is a card that converts all zeroes to skips in everyones hands. This conversion 
can easily be done by going into the Alter Hand menu and selecting option two. The card may only be played 
after a zero or a skip, but can be played on any language.''')

        print("\n" + color.BOLD + "New Hands" + color.END)  
        print('''New Hands makes everyone clear their hand and draw new cards. The amount of cards drawn is the same 
amount each player had before the card was played, but if a player only had one card left they must draw 
an additional card.''')

        print("\n" + color.BOLD + "Long Range Artillery Cards" + color.END)  
        print('''Long Range Artillery Cards are like draw cards, but no one has to skip a turn. There are four types of them. 
Cannon Cards make the person two turns away draw one card and Sniper Cards make the person two turns away draw
two cards, but if there is only two players then this changes to the person one turn away. Tank Cards make the 
person three turns away draw one card and Antiaircraft Cards make the person three turns away draw two cards, 
but if there is only three players then this changes to the person two turns away. ''')

        print("\n" + color.BOLD + "Nuclear Detonation Cards" + color.END)  
        print('''Nuclear Detonation Cards make everyone draw one card, including the person who played it. No turns are skipped.''')

        print("\n" + color.BOLD + "En Passant Cards" + color.END)  
        print('''En Passant Cards make the person whos turn is before the card player draw one card. No turns are skipped.''')

        print("\n" + color.BOLD + "Shield Cards" + color.END)  
        print('''Shield Cards can be played whenever a Skip Card, Skip Twice Card, Draw Card, En Passant Card, or Swap Card is 
played against the person with the Shield Card. It blocks the effects of the card, and once placed acts as a 
Phantom Card. Shield Cards can only be played normally if another shield card has been played last.''')

        print("\n" + color.BOLD + "Recursive Cards" + color.END)  
        input('''When a Recursive Card is played, it acts as a Phantom Card, but the person who played it gets to play again.''')

      elif choice == "0":
        clear()

      else:
        input("Invalid option. Press enter and try again. ")
        clear()

  if gameChoice == "2":
    while choice != "0":
      clear()

      continueLoop = None

      print(color.BOLD + "Lingua Franca Classic" + color.END)

      print(f"Your current hand is: ")

      for cards in hand:
        print(cards)

      choice = input('''\nPress 1 to enter Turn Selection.
Press 2 to Draw a Card.
Press 3 to Remove a Played Card from Hand.
Press 4 to Alter Hand.
Press 5 to Review Rules and Cards.
Press 9 to Clear Hand.
Press 0 to End the Game.

''')
      
      if choice == "1":
        clear()
        turnSelection = random.randint(1, 100)

        print(color.BOLD + "Turn Selection" + color.END)

        input(f"Your number is {turnSelection}. The person with the highest number goes first. ")

      elif choice == "2":

        while continueLoop != "2":
          clear()

          subNumber = None

          print(color.BOLD + "Draw a Card" + color.END)

          randomNumber = random.randint(1, 375)

          if randomNumber == 1 or randomNumber == 2 or randomNumber == 3 or randomNumber == 4 or randomNumber == 5 or randomNumber == 6:
            card = ("Null (German, 0)")

          elif randomNumber == 7 or randomNumber == 8 or randomNumber == 9 or randomNumber == 10 or randomNumber == 11 or randomNumber == 12:
            card = ("Eins (German, 1)")

          elif randomNumber == 13 or randomNumber == 14 or randomNumber == 15 or randomNumber == 16 or randomNumber == 17 or randomNumber == 18:
            card = ("Zwei (German, 2)")

          elif randomNumber == 19 or randomNumber == 20 or randomNumber == 21 or randomNumber == 22 or randomNumber == 23 or randomNumber == 24:
            card = ("Drei (German, 3)")

          elif randomNumber == 25 or randomNumber == 26 or randomNumber == 27 or randomNumber == 28 or randomNumber == 29 or randomNumber == 30:
            card = ("Vier (German, 4)")

          elif randomNumber == 31 or randomNumber == 32 or randomNumber == 33 or randomNumber == 34 or randomNumber == 35 or randomNumber == 36:
            card = ("Funf (German, 5)")

          elif randomNumber == 37 or randomNumber == 38 or randomNumber == 39 or randomNumber == 40 or randomNumber == 41 or randomNumber == 42:
            card = ("Sechs (German, 6)")

          elif randomNumber == 43 or randomNumber == 44 or randomNumber == 45 or randomNumber == 46 or randomNumber == 47 or randomNumber == 48:
            card = ("Sieben (German, 7)")

          elif randomNumber == 49 or randomNumber == 50 or randomNumber == 51 or randomNumber == 52 or randomNumber == 53 or randomNumber == 54:
            card = ("Acht (German, 8)")

          elif randomNumber == 55 or randomNumber == 56 or randomNumber == 57 or randomNumber == 58 or randomNumber == 59 or randomNumber == 60:
            card = ("Neun (German, 9)")

          elif randomNumber == 61 or randomNumber == 62 or randomNumber == 63 or randomNumber == 64 or randomNumber == 65 or randomNumber == 66:
            card = ("Nulla (Romansh, 0)")

          elif randomNumber == 67 or randomNumber == 68 or randomNumber == 69 or randomNumber == 70 or randomNumber == 71 or randomNumber == 72:
            card = ("In (Romansh, 1)")

          elif randomNumber == 73 or randomNumber == 74 or randomNumber == 75 or randomNumber == 76 or randomNumber == 77 or randomNumber == 78:
            card = ("Dus (Romansh, 2)")

          elif randomNumber == 79 or randomNumber == 80 or randomNumber == 81 or randomNumber == 82 or randomNumber == 83 or randomNumber == 84:
            card = ("Trais (Romansh, 3)")

          elif randomNumber == 85 or randomNumber == 86 or randomNumber == 87 or randomNumber == 88 or randomNumber == 89 or randomNumber == 90:
            card = ("Quatter (Romansh, 4)")

          elif randomNumber == 91 or randomNumber == 92 or randomNumber == 93 or randomNumber == 94 or randomNumber == 95 or randomNumber == 96:
            card = ("Tschintg (Romansh, 5)")

          elif randomNumber == 97 or randomNumber == 98 or randomNumber == 99 or randomNumber == 100 or randomNumber == 101 or randomNumber == 102:
            card = ("Sis (Romansh, 6)")

          elif randomNumber == 103 or randomNumber == 104 or randomNumber == 105 or randomNumber == 106 or randomNumber == 107 or randomNumber == 108:
            card = ("Set (Romansh, 7)")

          elif randomNumber == 109 or randomNumber == 110 or randomNumber == 111 or randomNumber == 112 or randomNumber == 113 or randomNumber == 114:
            card = ("Otg (Romansh, 8)")

          elif randomNumber == 115 or randomNumber == 116 or randomNumber == 117 or randomNumber == 118 or randomNumber == 119 or randomNumber == 120:
            card = ("Nov (Romansh, 9)")

          elif randomNumber == 121 or randomNumber == 122 or randomNumber == 123 or randomNumber == 124 or randomNumber == 125 or randomNumber == 126:
            card = ("Zero (French, 0)")

          elif randomNumber == 127 or randomNumber == 128 or randomNumber == 129 or randomNumber == 130 or randomNumber == 131 or randomNumber == 132:
            card = ("Un (French, 1)")

          elif randomNumber == 133 or randomNumber == 134 or randomNumber == 135 or randomNumber == 136 or randomNumber == 137 or randomNumber == 138:
            card = ("Deux (French, 2)")

          elif randomNumber == 139 or randomNumber == 140 or randomNumber == 141 or randomNumber == 142 or randomNumber == 143 or randomNumber == 144:
            card = ("Trois (French, 3)")

          elif randomNumber == 145 or randomNumber == 146 or randomNumber == 147 or randomNumber == 148 or randomNumber == 149 or randomNumber == 150:
            card = ("Quatre (French, 4)")

          elif randomNumber == 151 or randomNumber == 152 or randomNumber == 153 or randomNumber == 154 or randomNumber == 155 or randomNumber == 156:
            card = ("Cinq (French, 5)")

          elif randomNumber == 157 or randomNumber == 158 or randomNumber == 159 or randomNumber == 160 or randomNumber == 161 or randomNumber == 162:
            card = ("Six (French, 6)")

          elif randomNumber == 163 or randomNumber == 164 or randomNumber == 165 or randomNumber == 166 or randomNumber == 167 or randomNumber == 168:
            card = ("Sept (French, 7)")

          elif randomNumber == 169 or randomNumber == 170 or randomNumber == 171 or randomNumber == 172 or randomNumber == 173 or randomNumber == 174:
            card = ("Huit (French, 8)")

          elif randomNumber == 175 or randomNumber == 176 or randomNumber == 177 or randomNumber == 178 or randomNumber == 179 or randomNumber == 180:
            card = ("Neuf (French, 9)")

          elif randomNumber == 181 or randomNumber == 182 or randomNumber == 183 or randomNumber == 184 or randomNumber == 185 or randomNumber == 186:
            card = ("Ling (Mandarin, 0)")

          elif randomNumber == 187 or randomNumber == 188 or randomNumber == 189 or randomNumber == 190 or randomNumber == 191 or randomNumber == 192:
            card = ("Yi (Mandarin, 1)")

          elif randomNumber == 193 or randomNumber == 194 or randomNumber == 195 or randomNumber == 196 or randomNumber == 197 or randomNumber == 198:
            card = ("Er (Mandarin, 2)")

          elif randomNumber == 199 or randomNumber == 200 or randomNumber == 201 or randomNumber == 202 or randomNumber == 203 or randomNumber == 204:
            card = ("San (Mandarin, 3)")

          elif randomNumber == 205 or randomNumber == 206 or randomNumber == 207 or randomNumber == 208 or randomNumber == 209 or randomNumber == 210:
            card = ("Si (Mandarin, 4)")

          elif randomNumber == 211 or randomNumber == 212 or randomNumber == 213 or randomNumber == 214 or randomNumber == 215 or randomNumber == 216:
            card = ("Wu (Mandarin, 5)")

          elif randomNumber == 217 or randomNumber == 218 or randomNumber == 219 or randomNumber == 220 or randomNumber == 221 or randomNumber == 222:
            card = ("Liu (Mandarin, 6)")

          elif randomNumber == 223 or randomNumber == 224 or randomNumber == 225 or randomNumber == 226 or randomNumber == 227 or randomNumber == 228:
            card = ("Qi (Mandarin, 7)")

          elif randomNumber == 229 or randomNumber == 230 or randomNumber == 231 or randomNumber == 232 or randomNumber == 233 or randomNumber == 234:
            card = ("Ba (Mandarin, 8)")

          elif randomNumber == 235 or randomNumber == 236 or randomNumber == 237 or randomNumber == 238 or randomNumber == 239 or randomNumber == 240:
            card = ("Jiu (Mandarin, 9)")

          elif randomNumber == 241 or randomNumber == 242 or randomNumber == 243 or randomNumber == 244 or randomNumber == 245 or randomNumber == 246:
            card = ("Nul (Esperanto, 0)")

          elif randomNumber == 247 or randomNumber == 248 or randomNumber == 249 or randomNumber == 250 or randomNumber == 251 or randomNumber == 252:
            card = ("Unu (Esperanto, 1)")

          elif randomNumber == 253 or randomNumber == 254 or randomNumber == 255 or randomNumber == 256 or randomNumber == 257 or randomNumber == 258:
            card = ("Du (Esperanto, 2)")

          elif randomNumber == 259 or randomNumber == 260 or randomNumber == 261 or randomNumber == 262 or randomNumber == 263 or randomNumber == 264:
            card = ("Tri (Esperanto, 3)")

          elif randomNumber == 265 or randomNumber == 266 or randomNumber == 267 or randomNumber == 268 or randomNumber == 269 or randomNumber == 270:
            card = ("Kvar (Esperanto, 4)")

          elif randomNumber == 271 or randomNumber == 272 or randomNumber == 273 or randomNumber == 274 or randomNumber == 275 or randomNumber == 276:
            card = ("Kvin (Esperanto, 5)")

          elif randomNumber == 277 or randomNumber == 278 or randomNumber == 279 or randomNumber == 280 or randomNumber == 281 or randomNumber == 282:
            card = ("Ses (Esperanto, 6)")

          elif randomNumber == 283 or randomNumber == 284 or randomNumber == 285 or randomNumber == 286 or randomNumber == 287 or randomNumber == 288:
            card = ("Sep (Esperanto, 7)")

          elif randomNumber == 289 or randomNumber == 290 or randomNumber == 291 or randomNumber == 292 or randomNumber == 293 or randomNumber == 294:
            card = ("Ok (Esperanto, 8)")

          elif randomNumber == 295 or randomNumber == 296 or randomNumber == 297 or randomNumber == 298 or randomNumber == 299 or randomNumber == 300:
            card = ("Nau (Esperanto, 9)")

          elif randomNumber == 301 or randomNumber == 302 or randomNumber == 303 or randomNumber == 304:
            card = ("Wild Card (Language Changing Card)")

          elif randomNumber == 305 or randomNumber == 306 or randomNumber == 307 or randomNumber == 308:
            card = ("Draw 1 (Language Changing Card)")

          elif randomNumber == 309 or randomNumber == 310 or randomNumber == 311 or randomNumber == 312:
            card = ("Draw 2 (Language Changing Card)")

          elif randomNumber == 313 or randomNumber == 314 or randomNumber == 315:
            card = ("Draw 3 (Language Changing Card)")

          elif randomNumber == 316 or randomNumber == 317 or randomNumber == 318:
            card = ("Draw 4 (Language Changing Card)")

          elif randomNumber == 319 or randomNumber == 320:
            card = ("Draw 5 (Languageless Card)")

          elif randomNumber == 321:
            card = ("Draw 6 (Languageless Card)")

          elif randomNumber == 322 or randomNumber == 323 or randomNumber == 324 or randomNumber == 325:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Reverse Order")

            elif subNumber == 2:
              card = ("Romansh Reverse Order")

            elif subNumber == 3:
              card = ("French Reverse Order")

            elif subNumber == 4:
              card = ("Mandarin Reverse Order")
            
            elif subNumber == 5:
              card = ("Esperanto Reverse Order")
           
          elif randomNumber == 326 or randomNumber == 327:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Trade A")

            elif subNumber == 2:
              card = ("Romansh Trade A")

            elif subNumber == 3:
              card = ("French Trade A")

            elif subNumber == 4:
              card = ("Mandarin Trade A")
            
            elif subNumber == 5:
              card = ("Esperanto Trade A")

          elif randomNumber == 328 or randomNumber == 329:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Trade B")

            elif subNumber == 2:
              card = ("Romansh Trade B")

            elif subNumber == 3:
              card = ("French Trade B")

            elif subNumber == 4:
              card = ("Mandarin Trade B")
            
            elif subNumber == 5:
              card = ("Esperanto Trade B")

          elif randomNumber == 330 or randomNumber == 331 or randomNumber == 332 or randomNumber == 333:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Swap A")

            elif subNumber == 2:
              card = ("Romansh Swap A")

            elif subNumber == 3:
              card = ("French Swap A")

            elif subNumber == 4:
              card = ("Mandarin Swap A")
            
            elif subNumber == 5:
              card = ("Esperanto Swap A")

          elif randomNumber == 334 or randomNumber == 335 or randomNumber == 336 or randomNumber == 337:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Swap B")

            elif subNumber == 2:
              card = ("Romansh Swap B")

            elif subNumber == 3:
              card = ("French Swap B")

            elif subNumber == 4:
              card = ("Mandarin Swap B")
            
            elif subNumber == 5:
              card = ("Esperanto Swap B")

          elif randomNumber == 338 or randomNumber == 339 or randomNumber == 340:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Choice Swap")

            elif subNumber == 2:
              card = ("Romansh Choice Swap")

            elif subNumber == 3:
              card = ("French Choice Swap")

            elif subNumber == 4:
              card = ("Mandarin Choice Swap")
            
            elif subNumber == 5:
              card = ("Esperanto Choice Swap")

          elif randomNumber == 341 or randomNumber == 342 or randomNumber == 343 or randomNumber == 344:
            card = ("+1 (Languageless Card)")

          elif randomNumber == 345 or randomNumber == 346 or randomNumber == 347:
            card = ("+2 (Languageless Card)")

          elif randomNumber == 348 or randomNumber == 349:
            card = ("+3 (Languageless Card)")

          elif randomNumber == 350 or randomNumber == 351 or randomNumber == 352 or randomNumber == 353:
            card = ("-1 (Languageless Card)")

          elif randomNumber == 354 or randomNumber == 355 or randomNumber == 356:
            card = ("-2 (Languageless Card)")

          elif randomNumber == 357 or randomNumber == 358:
            card = ("-3 (Languageless Card)")

          elif randomNumber == 359 or randomNumber == 360 or randomNumber == 361 or randomNumber == 362:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Skip")

            elif subNumber == 2:
              card = ("Romansh Skip")

            elif subNumber == 3:
              card = ("French Skip")

            elif subNumber == 4:
              card = ("Mandarin Skip")
            
            elif subNumber == 5:
              card = ("Esperanto Skip")

          elif randomNumber == 363 or randomNumber == 364 or randomNumber == 365 or randomNumber == 366:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Skip Twice")

            elif subNumber == 2:
              card = ("Romansh Skip Twice")

            elif subNumber == 3:
              card = ("French Skip Twice")

            elif subNumber == 4:
              card = ("Mandarin Skip Twice")
            
            elif subNumber == 5:
              card = ("Esperanto Skip Twice")

          elif randomNumber == 367:
            card = ("Skip in Some Countries (Languageless Card)")

          elif randomNumber == 368:
            card = ("New Hands (Language Changing Card)")

          elif randomNumber == 369:
            card = ("Phantom Card (Languageless Card)")
          
          elif randomNumber == 370 or randomNumber == 371 or randomNumber == 372 or randomNumber == 373:
            subNumber = random.randint(1, 6)
            
            if subNumber == 1:
              card = ("Cannon Card (Language Changing Card)")

            elif subNumber == 2:
              card = ("Sniper Card (Language Changing Card)")

            elif subNumber == 3:
              card = ("Tank Card (Language Changing Card)")

            elif subNumber == 4:
              card = ("Antiaircraft Card (Language Changing Card)")
            
            elif subNumber == 5:
              card = ("Nuclear Detonation Card (Languageless Card)")

            elif subNumber == 6:
              card = ("En Passant Card (Language Changing Card)")

          elif randomNumber == 374 or randomNumber == 375:
            subNumber = random.randint(1, 2)
            
            if subNumber == 1:
              card = ("Shield Card")

            elif subNumber == 2:
              card = ("Recursive Card")

          print(f"You drawed {card}.")

          hand.append(card)

          continueLoop = input('''Press 1 to draw another card.
Press 2 to return to the options menu.

''')

      elif choice == "3":
        cardFound = None

        while cardFound != "True":
          clear()

          print(color.BOLD + "Remove a Played Card" + color.END)

          print("Please avoid using this menu to cheat, it is only meant to be used when a card is played and has left your hand.")

          print(f"\nYour current hand is: ")

          for cards in hand:
            print(cards)

          cardRemoved = input('''\nWhat is the card that you
played? Please make sure it is spelled exactly as it is in your
hand, including parantheses. If you do not have a card to remove,
type Exit.

''').title()

          if cardRemoved in hand:
            hand.remove(cardRemoved)
            cardFound = "True"

          elif cardRemoved not in hand and cardRemoved == "Exit":
            clear()
            cardFound = "True"

          elif cardRemoved not in hand and cardRemoved == "New Arcade":
            input("\nI am not a card.")
            clear()

          elif cardRemoved not in hand:
            input("\nCard not found. Press enter and try again. ")
            clear()


      elif choice == "4":
        continueAlter = "True"

        while continueAlter != "False":
        
          clear()

          print(color.BOLD + "Alter Hand" + color.END)

          print("Please avoid using this menu to cheat and only use it for cards that alter hands, except for the New Hands Card. Cheating takes the fun out of the game.")

          choice2 = input('''\nPress 1 to input new hand for swapping/trading hands cards.
Press 2 to change all zeros to skips for Skip in Some Countries card.
Press 3 to return to the menu.

''')

          if choice2 == "1":
            clear()

            hand = []

            number = 1

            print(color.BOLD + "Alter Hand" + color.END)

            amountofCards = int(input("How many cards are in your new hand? "))

            for x in range (0, amountofCards):
              handAddition = input(f"\nWhat is the name of Card {number} in your new hand? ").title()

              hand.append(handAddition)
              
              number += 1

            continueAlter = "False"

          elif choice2 == "2":
            clear()

            hand = [h.replace('Null (German, 0)', 'German Skip') for h in hand]
            hand = [h.replace('Nulla (Romansh, 0)', 'Romansh Skip') for h in hand]
            hand = [h.replace('Zéro (French, 0)', 'French Skip') for h in hand]
            hand = [h.replace('Zero (French, 0)', 'French Skip') for h in hand]
            hand = [h.replace('Líng (Mandarin, 0)', 'Mandarin Skip') for h in hand]
            hand = [h.replace('Ling (Mandarin, 0)', 'Mandarin Skip') for h in hand]
            hand = [h.replace('Nul (Esperanto, 0)', 'Esperanto Skip') for h in hand]

            continueAlter = "False"

          elif choice2 == "3":
            clear()
            continueAlter = "False"

          else:
            input("Invalid option. Press enter and try again. ")
            clear()

      elif choice == "5":
        choice2 = None
        
        while choice2 != "0":
          clear()

          print(color.BOLD + "Review Rules and Cards" + color.END)

          choice2 = input('''Press 1 to view the rules.
Press 2 to view the cards.
Press 0 to return to game selection. 

''')

          if choice2 == "1":
            clear()

            print(color.BOLD + "Rules" + color.END)

            input('''To play the game, you will need a chat service such as Discord to communicate 
with your friends.

Upon selecting the gamemode, each player enters the Turn Selection menu, and tells the others 
what number they recieved. Play order is determined by highest to lowest number, unless a Reverse 
Order card is played.

Each player draws seven cards to start off.

On each turn, a player "places" down a card, or in other words states which card they are using 
in the chat service. When starting off, the first person who goes can play any card they want. 
The next player can then play a card of the same language or number as the previous card, or play 
any card labeled as a "Languageless Card" or a "Language Changing Card".

If the player has no valid cards to play, they must draw cards until they recieve one.

Languageless Cards can be played regardless of the language of the current top card, but will 
not change the language in use. Language Changing Cards can be played regardless of language, 
and the player using the card can then choose which language will be in use.

When a Trade Card or a Swap Card is played, each player should privately message, or DM, their 
hand to the player they are giving their hand to.

The first player to have an empty hand wins the game. ''')

          elif choice2 == "2":
            clear()

            print(color.BOLD + "Basic Cards" + color.END)
            print('''The most common cards in the game are the Basic Cards. These cards feature a language and a color. 
The five languages are German, Romansh, French, Mandarin, and Esperanto. Classic features numbers 0-9, 
but Base-12 has numbers 0-B and Base-6 has 0-5.''')

            print("\n" + color.BOLD + "Wild and Phantom Cards" + color.END)  
            print('''Wild Cards and Phantom Cards can be used regardless of the current language. Wild Cards allow the
player to change the language in use, so the next player must play a card of that language. Phantom Cards 
don't change the language, and function as if they weren't there at all - the next player plays a card as 
if the number and language were still exactly the same as before.''')

            print("\n" + color.BOLD + "Draw Cards" + color.END)  
            print('''Draw Cards make the next player have to skip their turn and draw however many cards are specified 
on the Draw Card (1-6 cards). Draw 1 up to Draw 4 are Language Changing, while Draw 5 and Draw 6 are
Languageless. Optionally, Draw Cards may be stacked on each other and the player who can not add to the 
stack must draw the cards, but this is not a rule in regular play.''')  

            print("\n" + color.BOLD + "Reverse Order Cards" + color.END)  
            print('''Reverse Order Cards simply reverse the order of play. Instead of the person who was assigned the
next lowest number in the Turn Selection going next, the person who was assigned the next highest number 
goes next, or vice versa if a second reverse card is used.''')   

            print("\n" + color.BOLD + "Trade Cards" + color.END)  
            print('''Trade Cards make everyone swap hands. Trade A means each person has to give their hand to the person 
whos turn is after theirs, while Trade B is the opposite - each person has to give their hand to the person who 
goes before them. Trade Cards can only be used on their matching language.''')

            print("\n" + color.BOLD + "Swap Cards" + color.END)  
            print('''Swap Cards allow the player using the card to swap hands with one person. Swap A lets the player swap 
with the player whos turn is after theirs, while Swap B lets the player swap with the person whos turn is 
before theirs. Choice Swap allows the player to swap hands with whoever they wish.''')

            print("\n" + color.BOLD + "+ and - Cards" + color.END) 
            print('''+ and - Cards add or subtract to the number of the previous card. They can go up to + or - 3, and are 
Languageless Cards, so they have no effect on the language in use. If a + or - Card would result in the number 
going above 9 or below 0, the numbers loop over (ex. A +3 card used on Acht (German, 8) Card would simply 
go three up to Eins (German, 1), instead of to an eleven card.''')

            print("\n" + color.BOLD + "Skip Cards" + color.END)  
            print('''Skip Cards simply skip the turn of the next player, while Skip Twice cards skip the next two 
players turns. They can only be used on their respective languages.''')

            print("\n" + color.BOLD + "Skip in Some Countries" + color.END)  
            print('''Skip in Some Countries is a card that converts all zeroes to skips in everyones hands. This conversion 
can easily be done by going into the Alter Hand menu and selecting option two. The card may only be played 
after a zero or a skip, but can be played on any language.''')

            print("\n" + color.BOLD + "New Hands" + color.END)  
            print('''New Hands makes everyone clear their hand and draw new cards. The amount of cards drawn is the same 
amount each player had before the card was played, but if a player only had one card left they must draw 
an additional card.''')

            print("\n" + color.BOLD + "Long Range Artillery Cards" + color.END)  
            print('''Long Range Artillery Cards are like draw cards, but no one has to skip a turn. There are four types of them. 
Cannon Cards make the person two turns away draw one card and Sniper Cards make the person two turns away draw
two cards, but if there is only two players then this changes to the person one turn away. Tank Cards make the 
person three turns away draw one card and Antiaircraft Cards make the person three turns away draw two cards, 
but if there is only three players then this changes to the person two turns away. ''')

            print("\n" + color.BOLD + "Nuclear Detonation Cards" + color.END)  
            print('''Nuclear Detonation Cards make everyone draw one card, including the person who played it. No turns are skipped.''')

            print("\n" + color.BOLD + "En Passant Cards" + color.END)  
            print('''En Passant Cards make the person whos turn is before the card player draw one card. No turns are skipped.''')

            print("\n" + color.BOLD + "Shield Cards" + color.END)  
            print('''Shield Cards can be played whenever a Skip Card, Skip Twice Card, Draw Card, En Passant Card, or Swap Card is 
played against the person with the Shield Card. It blocks the effects of the card, and once placed acts as a 
Phantom Card. Shield Cards can only be played normally if another shield card has been played last.''')

            print("\n" + color.BOLD + "Recursive Cards" + color.END) 
            input('''When a Recursive Card is played, it acts as a Phantom Card, but the person who played it gets to play again.''')

          elif choice2 == "0":
            clear()

          else:
            input("Invalid option. Press enter and try again. ")
            clear()

      elif choice == "9":
        hand = []

      elif choice == "0":
        clear()

      else:
        input("Invalid option. Press enter and try again. ")
        clear()






































































  elif gameChoice == "3":
    while choice != "0":
      clear()

      continueLoop = None

      print(color.BOLD + "Lingua Franca Base-12" + color.END)

      print(f"Your current hand is: ")

      for cards in hand:
        print(cards)

      choice = input('''\nPress 1 to enter Turn Selection.
Press 2 to Draw a Card.
Press 3 to Remove a Played Card from Hand.
Press 4 to Alter Hand.
Press 5 to Review Rules and Cards.
Press 9 to Clear Hand.
Press 0 to End the Game.

''')
      
      if choice == "1":
        clear()

        print(color.BOLD + "Turn Selection" + color.END)
        
        turnSelection = random.randint(1, 144)

        input(f"Your number is {turnSelection}. The person with the highest number goes first. ")

      elif choice == "2":

        while continueLoop != "2":
          clear()

          subNumber = None

          print(color.BOLD + "Draw a Card" + color.END)

          randomNumber = random.randint(1, 435)

          if randomNumber == 1 or randomNumber == 2 or randomNumber == 3 or randomNumber == 4 or randomNumber == 5 or randomNumber == 6:
            card = ("Null (German, 0)")

          elif randomNumber == 7 or randomNumber == 8 or randomNumber == 9 or randomNumber == 10 or randomNumber == 11 or randomNumber == 12:
            card = ("Eins (German, 1)")

          elif randomNumber == 13 or randomNumber == 14 or randomNumber == 15 or randomNumber == 16 or randomNumber == 17 or randomNumber == 18:
            card = ("Zwei (German, 2)")

          elif randomNumber == 19 or randomNumber == 20 or randomNumber == 21 or randomNumber == 22 or randomNumber == 23 or randomNumber == 24:
            card = ("Drei (German, 3)")

          elif randomNumber == 25 or randomNumber == 26 or randomNumber == 27 or randomNumber == 28 or randomNumber == 29 or randomNumber == 30:
            card = ("Vier (German, 4)")

          elif randomNumber == 31 or randomNumber == 32 or randomNumber == 33 or randomNumber == 34 or randomNumber == 35 or randomNumber == 36:
            card = ("Funf (German, 5)")

          elif randomNumber == 37 or randomNumber == 38 or randomNumber == 39 or randomNumber == 40 or randomNumber == 41 or randomNumber == 42:
            card = ("Sechs (German, 6)")

          elif randomNumber == 43 or randomNumber == 44 or randomNumber == 45 or randomNumber == 46 or randomNumber == 47 or randomNumber == 48:
            card = ("Sieben (German, 7)")

          elif randomNumber == 49 or randomNumber == 50 or randomNumber == 51 or randomNumber == 52 or randomNumber == 53 or randomNumber == 54:
            card = ("Acht (German, 8)")

          elif randomNumber == 55 or randomNumber == 56 or randomNumber == 57 or randomNumber == 58 or randomNumber == 59 or randomNumber == 60:
            card = ("Neun (German, 9)")

          elif randomNumber == 61 or randomNumber == 62 or randomNumber == 63 or randomNumber == 64 or randomNumber == 65 or randomNumber == 66:
            card = ("Nulla (Romansh, 0)")

          elif randomNumber == 67 or randomNumber == 68 or randomNumber == 69 or randomNumber == 70 or randomNumber == 71 or randomNumber == 72:
            card = ("In (Romansh, 1)")

          elif randomNumber == 73 or randomNumber == 74 or randomNumber == 75 or randomNumber == 76 or randomNumber == 77 or randomNumber == 78:
            card = ("Dus (Romansh, 2)")

          elif randomNumber == 79 or randomNumber == 80 or randomNumber == 81 or randomNumber == 82 or randomNumber == 83 or randomNumber == 84:
            card = ("Trais (Romansh, 3)")

          elif randomNumber == 85 or randomNumber == 86 or randomNumber == 87 or randomNumber == 88 or randomNumber == 89 or randomNumber == 90:
            card = ("Quatter (Romansh, 4)")

          elif randomNumber == 91 or randomNumber == 92 or randomNumber == 93 or randomNumber == 94 or randomNumber == 95 or randomNumber == 96:
            card = ("Tschintg (Romansh, 5)")

          elif randomNumber == 97 or randomNumber == 98 or randomNumber == 99 or randomNumber == 100 or randomNumber == 101 or randomNumber == 102:
            card = ("Sis (Romansh, 6)")

          elif randomNumber == 103 or randomNumber == 104 or randomNumber == 105 or randomNumber == 106 or randomNumber == 107 or randomNumber == 108:
            card = ("Set (Romansh, 7)")

          elif randomNumber == 109 or randomNumber == 110 or randomNumber == 111 or randomNumber == 112 or randomNumber == 113 or randomNumber == 114:
            card = ("Otg (Romansh, 8)")

          elif randomNumber == 115 or randomNumber == 116 or randomNumber == 117 or randomNumber == 118 or randomNumber == 119 or randomNumber == 120:
            card = ("Nov (Romansh, 9)")

          elif randomNumber == 121 or randomNumber == 122 or randomNumber == 123 or randomNumber == 124 or randomNumber == 125 or randomNumber == 126:
            card = ("Zero (French, 0)")

          elif randomNumber == 127 or randomNumber == 128 or randomNumber == 129 or randomNumber == 130 or randomNumber == 131 or randomNumber == 132:
            card = ("Un (French, 1)")

          elif randomNumber == 133 or randomNumber == 134 or randomNumber == 135 or randomNumber == 136 or randomNumber == 137 or randomNumber == 138:
            card = ("Deux (French, 2)")

          elif randomNumber == 139 or randomNumber == 140 or randomNumber == 141 or randomNumber == 142 or randomNumber == 143 or randomNumber == 144:
            card = ("Trois (French, 3)")

          elif randomNumber == 145 or randomNumber == 146 or randomNumber == 147 or randomNumber == 148 or randomNumber == 149 or randomNumber == 150:
            card = ("Quatre (French, 4)")

          elif randomNumber == 151 or randomNumber == 152 or randomNumber == 153 or randomNumber == 154 or randomNumber == 155 or randomNumber == 156:
            card = ("Cinq (French, 5)")

          elif randomNumber == 157 or randomNumber == 158 or randomNumber == 159 or randomNumber == 160 or randomNumber == 161 or randomNumber == 162:
            card = ("Six (French, 6)")

          elif randomNumber == 163 or randomNumber == 164 or randomNumber == 165 or randomNumber == 166 or randomNumber == 167 or randomNumber == 168:
            card = ("Sept (French, 7)")

          elif randomNumber == 169 or randomNumber == 170 or randomNumber == 171 or randomNumber == 172 or randomNumber == 173 or randomNumber == 174:
            card = ("Huit (French, 8)")

          elif randomNumber == 175 or randomNumber == 176 or randomNumber == 177 or randomNumber == 178 or randomNumber == 179 or randomNumber == 180:
            card = ("Neuf (French, 9)")

          elif randomNumber == 181 or randomNumber == 182 or randomNumber == 183 or randomNumber == 184 or randomNumber == 185 or randomNumber == 186:
            card = ("Ling (Mandarin, 0)")

          elif randomNumber == 187 or randomNumber == 188 or randomNumber == 189 or randomNumber == 190 or randomNumber == 191 or randomNumber == 192:
            card = ("Yi (Mandarin, 1)")

          elif randomNumber == 193 or randomNumber == 194 or randomNumber == 195 or randomNumber == 196 or randomNumber == 197 or randomNumber == 198:
            card = ("Er (Mandarin, 2)")

          elif randomNumber == 199 or randomNumber == 200 or randomNumber == 201 or randomNumber == 202 or randomNumber == 203 or randomNumber == 204:
            card = ("San (Mandarin, 3)")

          elif randomNumber == 205 or randomNumber == 206 or randomNumber == 207 or randomNumber == 208 or randomNumber == 209 or randomNumber == 210:
            card = ("Si (Mandarin, 4)")

          elif randomNumber == 211 or randomNumber == 212 or randomNumber == 213 or randomNumber == 214 or randomNumber == 215 or randomNumber == 216:
            card = ("Wu (Mandarin, 5)")

          elif randomNumber == 217 or randomNumber == 218 or randomNumber == 219 or randomNumber == 220 or randomNumber == 221 or randomNumber == 222:
            card = ("Liu (Mandarin, 6)")

          elif randomNumber == 223 or randomNumber == 224 or randomNumber == 225 or randomNumber == 226 or randomNumber == 227 or randomNumber == 228:
            card = ("Qi (Mandarin, 7)")

          elif randomNumber == 229 or randomNumber == 230 or randomNumber == 231 or randomNumber == 232 or randomNumber == 233 or randomNumber == 234:
            card = ("Ba (Mandarin, 8)")

          elif randomNumber == 235 or randomNumber == 236 or randomNumber == 237 or randomNumber == 238 or randomNumber == 239 or randomNumber == 240:
            card = ("Jiu (Mandarin, 9)")

          elif randomNumber == 241 or randomNumber == 242 or randomNumber == 243 or randomNumber == 244 or randomNumber == 245 or randomNumber == 246:
            card = ("Nul (Esperanto, 0)")

          elif randomNumber == 247 or randomNumber == 248 or randomNumber == 249 or randomNumber == 250 or randomNumber == 251 or randomNumber == 252:
            card = ("Unu (Esperanto, 1)")

          elif randomNumber == 253 or randomNumber == 254 or randomNumber == 255 or randomNumber == 256 or randomNumber == 257 or randomNumber == 258:
            card = ("Du (Esperanto, 2)")

          elif randomNumber == 259 or randomNumber == 260 or randomNumber == 261 or randomNumber == 262 or randomNumber == 263 or randomNumber == 264:
            card = ("Tri (Esperanto, 3)")

          elif randomNumber == 265 or randomNumber == 266 or randomNumber == 267 or randomNumber == 268 or randomNumber == 269 or randomNumber == 270:
            card = ("Kvar (Esperanto, 4)")

          elif randomNumber == 271 or randomNumber == 272 or randomNumber == 273 or randomNumber == 274 or randomNumber == 275 or randomNumber == 276:
            card = ("Kvin (Esperanto, 5)")

          elif randomNumber == 277 or randomNumber == 278 or randomNumber == 279 or randomNumber == 280 or randomNumber == 281 or randomNumber == 282:
            card = ("Ses (Esperanto, 6)")

          elif randomNumber == 283 or randomNumber == 284 or randomNumber == 285 or randomNumber == 286 or randomNumber == 287 or randomNumber == 288:
            card = ("Sep (Esperanto, 7)")

          elif randomNumber == 289 or randomNumber == 290 or randomNumber == 291 or randomNumber == 292 or randomNumber == 293 or randomNumber == 294:
            card = ("Ok (Esperanto, 8)")

          elif randomNumber == 295 or randomNumber == 296 or randomNumber == 297 or randomNumber == 298 or randomNumber == 299 or randomNumber == 300:
            card = ("Nau (Esperanto, 9)")

          elif randomNumber == 301 or randomNumber == 302 or randomNumber == 303 or randomNumber == 304:
            card = ("Wild Card (Language Changing Card)")

          elif randomNumber == 305 or randomNumber == 306 or randomNumber == 307 or randomNumber == 308:
            card = ("Draw 1 (Language Changing Card)")

          elif randomNumber == 309 or randomNumber == 310 or randomNumber == 311 or randomNumber == 312:
            card = ("Draw 2 (Language Changing Card)")

          elif randomNumber == 313 or randomNumber == 314 or randomNumber == 315:
            card = ("Draw 3 (Language Changing Card)")

          elif randomNumber == 316 or randomNumber == 317 or randomNumber == 318:
            card = ("Draw 4 (Language Changing Card)")

          elif randomNumber == 319 or randomNumber == 320:
            card = ("Draw 5 (Languageless Card)")

          elif randomNumber == 321:
            card = ("Draw 6 (Languageless Card)")

          elif randomNumber == 322 or randomNumber == 323 or randomNumber == 324 or randomNumber == 325:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Reverse Order")

            elif subNumber == 2:
              card = ("Romansh Reverse Order")

            elif subNumber == 3:
              card = ("French Reverse Order")

            elif subNumber == 4:
              card = ("Mandarin Reverse Order")
            
            elif subNumber == 5:
              card = ("Esperanto Reverse Order")
           
          elif randomNumber == 326 or randomNumber == 327:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Trade A")

            elif subNumber == 2:
              card = ("Romansh Trade A")

            elif subNumber == 3:
              card = ("French Trade A")

            elif subNumber == 4:
              card = ("Mandarin Trade A")
            
            elif subNumber == 5:
              card = ("Esperanto Trade A")

          elif randomNumber == 328 or randomNumber == 329:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Trade B")

            elif subNumber == 2:
              card = ("Romansh Trade B")

            elif subNumber == 3:
              card = ("French Trade B")

            elif subNumber == 4:
              card = ("Mandarin Trade B")
            
            elif subNumber == 5:
              card = ("Esperanto Trade B")

          elif randomNumber == 330 or randomNumber == 331 or randomNumber == 332 or randomNumber == 333:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Swap A")

            elif subNumber == 2:
              card = ("Romansh Swap A")

            elif subNumber == 3:
              card = ("French Swap A")

            elif subNumber == 4:
              card = ("Mandarin Swap A")
            
            elif subNumber == 5:
              card = ("Esperanto Swap A")

          elif randomNumber == 334 or randomNumber == 335 or randomNumber == 336 or randomNumber == 337:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Swap B")

            elif subNumber == 2:
              card = ("Romansh Swap B")

            elif subNumber == 3:
              card = ("French Swap B")

            elif subNumber == 4:
              card = ("Mandarin Swap B")
            
            elif subNumber == 5:
              card = ("Esperanto Swap B")

          elif randomNumber == 338 or randomNumber == 339 or randomNumber == 340:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Choice Swap")

            elif subNumber == 2:
              card = ("Romansh Choice Swap")

            elif subNumber == 3:
              card = ("French Choice Swap")

            elif subNumber == 4:
              card = ("Mandarin Choice Swap")
            
            elif subNumber == 5:
              card = ("Esperanto Choice Swap")

          elif randomNumber == 341 or randomNumber == 342 or randomNumber == 343 or randomNumber == 344:
            card = ("+1 (Languageless Card)")

          elif randomNumber == 345 or randomNumber == 346 or randomNumber == 347:
            card = ("+2 (Languageless Card)")

          elif randomNumber == 348 or randomNumber == 349:
            card = ("+3 (Languageless Card)")

          elif randomNumber == 350 or randomNumber == 351 or randomNumber == 352 or randomNumber == 353:
            card = ("-1 (Languageless Card)")

          elif randomNumber == 354 or randomNumber == 355 or randomNumber == 356:
            card = ("-2 (Languageless Card)")

          elif randomNumber == 357 or randomNumber == 358:
            card = ("-3 (Languageless Card)")

          elif randomNumber == 359 or randomNumber == 360 or randomNumber == 361 or randomNumber == 362:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Skip")

            elif subNumber == 2:
              card = ("Romansh Skip")

            elif subNumber == 3:
              card = ("French Skip")

            elif subNumber == 4:
              card = ("Mandarin Skip")
            
            elif subNumber == 5:
              card = ("Esperanto Skip")

          elif randomNumber == 363 or randomNumber == 364 or randomNumber == 365 or randomNumber == 366:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Skip Twice")

            elif subNumber == 2:
              card = ("Romansh Skip Twice")

            elif subNumber == 3:
              card = ("French Skip Twice")

            elif subNumber == 4:
              card = ("Mandarin Skip Twice")
            
            elif subNumber == 5:
              card = ("Esperanto Skip Twice")

          elif randomNumber == 367:
            card = ("Skip in Some Countries (Languageless Card)")

          elif randomNumber == 368:
            card = ("New Hands (Language Changing Card)")

          elif randomNumber == 369:
            card = ("Phantom Card (Languageless Card)")

          elif randomNumber == 370 or randomNumber == 371 or randomNumber == 372 or randomNumber == 373 or randomNumber == 374 or randomNumber == 375:
            card = ("Zehn (German, A)")

          elif randomNumber == 376 or randomNumber == 377 or randomNumber == 378 or randomNumber == 379 or randomNumber == 380 or randomNumber == 381:
            card = ("Elf (German, B)")

          elif randomNumber == 382 or randomNumber == 383 or randomNumber == 384 or randomNumber == 385 or randomNumber == 386 or randomNumber == 387:
            card = ("Diesch (Romansh, A)")

          elif randomNumber == 388 or randomNumber == 389 or randomNumber == 390 or randomNumber == 391 or randomNumber == 392 or randomNumber == 393:
            card = ("Indesch (Romansh, B)")

          elif randomNumber == 394 or randomNumber == 395 or randomNumber == 396 or randomNumber == 397 or randomNumber == 398 or randomNumber == 399:
            card = ("Dix (French, A)")

          elif randomNumber == 400 or randomNumber == 401 or randomNumber == 402 or randomNumber == 403 or randomNumber == 404 or randomNumber == 405:
            card = ("Onze (French, B)")

          elif randomNumber == 406 or randomNumber == 407 or randomNumber == 408 or randomNumber == 409 or randomNumber == 410 or randomNumber == 411:
            card = ("Shi (Mandarin, A)")

          elif randomNumber == 412 or randomNumber == 413 or randomNumber == 414 or randomNumber == 415 or randomNumber == 416 or randomNumber == 417:
            card = ("Shiyi (Mandarin, B)")

          elif randomNumber == 418 or randomNumber == 419 or randomNumber == 420 or randomNumber == 421 or randomNumber == 422 or randomNumber == 423:
            card = ("Dek Unu (Esperanto, A)")

          elif randomNumber == 424 or randomNumber == 425 or randomNumber == 426 or randomNumber == 427 or randomNumber == 428 or randomNumber == 429:
            card = ("Dek Du (Esperanto, B)")

          elif randomNumber == 430 or randomNumber == 431 or randomNumber == 432 or randomNumber == 433:
            subNumber = random.randint(1, 6)
            
            if subNumber == 1:
              card = ("Cannon Card (Language Changing Card)")

            elif subNumber == 2:
              card = ("Sniper Card (Language Changing Card)")

            elif subNumber == 3:
              card = ("Tank Card (Language Changing Card)")

            elif subNumber == 4:
              card = ("Antiaircraft Card (Language Changing Card)")
            
            elif subNumber == 5:
              card = ("Nuclear Detonation Card (Languageless Card)")

            elif subNumber == 6:
              card = ("En Passant Card (Language Changing Card)")

          elif randomNumber == 434 or randomNumber == 435:
            subNumber = random.randint(1, 2)
            
            if subNumber == 1:
              card = ("Shield Card")

            elif subNumber == 2:
              card = ("Recursive Card")

          print(f"You drawed {card}.")

          hand.append(card)

          continueLoop = input('''Press 1 to draw another card.
Press 2 to return to the options menu.

''')

      elif choice == "3":
        cardFound = None

        while cardFound != "True":
          clear()

          print(color.BOLD + "Remove a Played Card" + color.END)

          print("Please avoid using this menu to cheat, it is only meant to be used when a card is played and has left your hand.")

          print(f"\nYour current hand is: ")

          for cards in hand:
            print(cards)

          cardRemoved = input('''\nWhat is the card that you
played? Please make sure it is spelled exactly as it is in your
hand, including parantheses. If you do not have a card to remove,
type Exit.

''').title()

          if cardRemoved in hand:
            hand.remove(cardRemoved)
            cardFound = "True"

          elif cardRemoved not in hand and cardRemoved == "Exit":
            clear()
            cardFound = "True"

          elif cardRemoved not in hand and cardRemoved == "New Arcade":
            input("\nI am not a card.")
            clear()

          elif cardRemoved not in hand:
            input("\nCard not found. Press enter and try again. ")
            clear()

      elif choice == "4":
        continueAlter = "True"

        while continueAlter != "False":
        
          clear()

          print(color.BOLD + "Alter Hand" + color.END)

          print("Please avoid using this menu to cheat and only use it for cards that alter hands, except for the New Hands Card. Cheating takes the fun out of the game.")

          choice2 = input('''\nPress 1 to input new hand for swapping/trading hands cards.
Press 2 to change all zeros to skips for Skip in Some Countries card.
Press 3 to return to the menu.

''')

          if choice2 == "1":
            clear()

            hand = []

            print(color.BOLD + "Alter Hand" + color.END)

            number = 1

            amountofCards = int(input("How many cards are in your new hand? "))

            for x in range (0, amountofCards):
              handAddition = input(f"\nWhat is the name of Card {number} in your new hand? ").title()

              hand.append(handAddition)
              
              number += 1

            continueAlter = "False"

          elif choice2 == "2":
            clear()

            hand = [h.replace('Null (German, 0)', 'German Skip') for h in hand]
            hand = [h.replace('Nulla (Romansh, 0)', 'Romansh Skip') for h in hand]
            hand = [h.replace('Zéro (French, 0)', 'French Skip') for h in hand]
            hand = [h.replace('Zero (French, 0)', 'French Skip') for h in hand]
            hand = [h.replace('Líng (Mandarin, 0)', 'Mandarin Skip') for h in hand]
            hand = [h.replace('Ling (Mandarin, 0)', 'Mandarin Skip') for h in hand]
            hand = [h.replace('Nul (Esperanto, 0)', 'Esperanto Skip') for h in hand]

            continueAlter = "False"

          elif choice2 == "3":
            clear()
            continueAlter = "False"

          else:
            input("Invalid option. Press enter and try again. ")
            clear()

      elif choice == "5":
        choice2 = None
        
        while choice2 != "0":
          clear()

          print(color.BOLD + "Review Rules and Cards" + color.END)

          choice2 = input('''Press 1 to view the rules.
Press 2 to view the cards.
Press 0 to return to game selection. 

''')

          if choice2 == "1":
            clear()
            
            print(color.BOLD + "Rules and Cards" + color.END)

            input('''To play the game, you will need a chat service such as Discord to communicate 
with your friends.

Upon selecting the gamemode, each player enters the Turn Selection menu, and tells the others 
what number they recieved. Play order is determined by highest to lowest number, unless a Reverse 
Order card is played.

Each player draws seven cards to start off.

On each turn, a player "places" down a card, or in other words states which card they are using 
in the chat service. When starting off, the first person who goes can play any card they want. 
The next player can then play a card of the same language or number as the previous card, or play 
any card labeled as a "Languageless Card" or a "Language Changing Card".

If the player has no valid cards to play, they must draw cards until they recieve one.

Languageless Cards can be played regardless of the language of the current top card, but will 
not change the language in use. Language Changing Cards can be played regardless of language, 
and the player using the card can then choose which language will be in use.

When a Trade Card or a Swap Card is played, each player should privately message, or DM, their 
hand to the player they are giving their hand to.

The first player to have an empty hand wins the game. ''')

          elif choice2 == "2":
            clear()

            print(color.BOLD + "Basic Cards" + color.END)
            print('''The most common cards in the game are the Basic Cards. These cards feature a language and a color. 
The five languages are German, Romansh, French, Mandarin, and Esperanto. Classic features numbers 0-9, 
but Base-12 has numbers 0-B and Base-6 has 0-5.''')

            print("\n" + color.BOLD + "Wild and Phantom Cards" + color.END)  
            print('''Wild Cards and Phantom Cards can be used regardless of the current language. Wild Cards allow the
player to change the language in use, so the next player must play a card of that language. Phantom Cards 
don't change the language, and function as if they weren't there at all - the next player plays a card as 
if the number and language were still exactly the same as before.''')

            print("\n" + color.BOLD + "Draw Cards" + color.END)  
            print('''Draw Cards make the next player have to skip their turn and draw however many cards are specified 
on the Draw Card (1-6 cards). Draw 1 up to Draw 4 are Language Changing, while Draw 5 and Draw 6 are
Languageless. Optionally, Draw Cards may be stacked on each other and the player who can not add to the 
stack must draw the cards, but this is not a rule in regular play.''')  

            print("\n" + color.BOLD + "Reverse Order Cards" + color.END)  
            print('''Reverse Order Cards simply reverse the order of play. Instead of the person who was assigned the
next lowest number in the Turn Selection going next, the person who was assigned the next highest number 
goes next, or vice versa if a second reverse card is used.''')   

            print("\n" + color.BOLD + "Trade Cards" + color.END)  
            print('''Trade Cards make everyone swap hands. Trade A means each person has to give their hand to the person 
whos turn is after theirs, while Trade B is the opposite - each person has to give their hand to the person who 
goes before them. Trade Cards can only be used on their matching language.''')

            print("\n" + color.BOLD + "Swap Cards" + color.END)  
            print('''Swap Cards allow the player using the card to swap hands with one person. Swap A lets the player swap 
with the player whos turn is after theirs, while Swap B lets the player swap with the person whos turn is 
before theirs. Choice Swap allows the player to swap hands with whoever they wish.''')

            print("\n" + color.BOLD + "+ and - Cards" + color.END) 
            print('''+ and - Cards add or subtract to the number of the previous card. They can go up to + or - 3, and are 
Languageless Cards, so they have no effect on the language in use. If a + or - Card would result in the number 
going above 9 or below 0, the numbers loop over (ex. A +3 card used on Acht (German, 8) Card would simply 
go three up to Eins (German, 1), instead of to an eleven card.''')

            print("\n" + color.BOLD + "Skip Cards" + color.END)  
            print('''Skip Cards simply skip the turn of the next player, while Skip Twice cards skip the next two 
players turns. They can only be used on their respective languages.''')

            print("\n" + color.BOLD + "Skip in Some Countries" + color.END)  
            print('''Skip in Some Countries is a card that converts all zeroes to skips in everyones hands. This conversion 
can easily be done by going into the Alter Hand menu and selecting option two. The card may only be played 
after a zero or a skip, but can be played on any language.''')

            print("\n" + color.BOLD + "New Hands" + color.END)  
            print('''New Hands makes everyone clear their hand and draw new cards. The amount of cards drawn is the same 
amount each player had before the card was played, but if a player only had one card left they must draw 
an additional card.''')

            print("\n" + color.BOLD + "Long Range Artillery Cards" + color.END)  
            print('''Long Range Artillery Cards are like draw cards, but no one has to skip a turn. There are four types of them. 
Cannon Cards make the person two turns away draw one card and Sniper Cards make the person two turns away draw
two cards, but if there is only two players then this changes to the person one turn away. Tank Cards make the 
person three turns away draw one card and Antiaircraft Cards make the person three turns away draw two cards, 
but if there is only three players then this changes to the person two turns away. ''')

            print("\n" + color.BOLD + "Nuclear Detonation Cards" + color.END)  
            print('''Nuclear Detonation Cards make everyone draw one card, including the person who played it. No turns are skipped.''')

            print("\n" + color.BOLD + "En Passant Cards" + color.END)  
            print('''En Passant Cards make the person whos turn is before the card player draw one card. No turns are skipped.''')

            print("\n" + color.BOLD + "Shield Cards" + color.END)  
            print('''Shield Cards can be played whenever a Skip Card, Skip Twice Card, Draw Card, En Passant Card, or Swap Card is 
played against the person with the Shield Card. It blocks the effects of the card, and once placed acts as a 
Phantom Card. Shield Cards can only be played normally if another shield card has been played last.''')

            print("\n" + color.BOLD + "Recursive Cards" + color.END) 
            input('''When a Recursive Card is played, it acts as a Phantom Card, but the person who played it gets to play again.''')

          elif choice2 == "0":
            clear()

          else:
            input("Invalid option. Press enter and try again. ")
            clear()

      elif choice == "9":
        hand = []

      elif choice == "0":
        clear()

      else:
        input("Invalid option. Press enter and try again. ")
        clear()









































































  elif gameChoice == "4":
    while choice != "0":
      clear()

      continueLoop = None

      print(color.BOLD + "Lingua Franca Base-6" + color.END)

      print(f"Your current hand is: ")

      for cards in hand:
        print(cards)

      choice = input('''\nPress 1 to enter Turn Selection.
Press 2 to Draw a Card.
Press 3 to Remove a Played Card from Hand.
Press 4 to Alter Hand.
Press 5 to Review Rules and Cards.
Press 9 to Clear Hand.
Press 0 to End the Game.

''')
      
      if choice == "1":
        clear()

        print(color.BOLD + "Turn Selection" + color.END)

        turnSelection = random.randint(1, 36)

        input(f"Your number is {turnSelection}. The person with the highest number goes first. ")

      elif choice == "2":

        while continueLoop != "2":
          clear()

          print(color.BOLD + "Draw a Card" + color.END)

          subNumber = None

          randomNumber = random.randint(1, 233)

          if randomNumber == 1 or randomNumber == 2 or randomNumber == 3 or randomNumber == 91 or randomNumber == 92 or randomNumber == 93:
            card = ("Null (German, 0)")

          elif randomNumber == 4 or randomNumber == 5 or randomNumber == 6 or randomNumber == 94 or randomNumber == 95 or randomNumber == 96:
            card = ("Eins (German, 1)")

          elif randomNumber == 7 or randomNumber == 8 or randomNumber == 9 or randomNumber == 97 or randomNumber == 98 or randomNumber == 99:
            card = ("Zwei (German, 2)")

          elif randomNumber == 10 or randomNumber == 11 or randomNumber == 12 or randomNumber == 100 or randomNumber == 101 or randomNumber == 102:
            card = ("Drei (German, 3)")

          elif randomNumber == 13 or randomNumber == 14 or randomNumber == 15 or randomNumber == 103 or randomNumber == 104 or randomNumber == 105:
            card = ("Vier (German, 4)")

          elif randomNumber == 16 or randomNumber == 17 or randomNumber == 18 or randomNumber == 106 or randomNumber == 107 or randomNumber == 108:
            card = ("Funf (German, 5)")

          elif randomNumber == 19 or randomNumber == 20 or randomNumber == 21 or randomNumber == 109 or randomNumber == 110 or randomNumber == 111:
            card = ("Nulla (Romansh, 0)")

          elif randomNumber == 22 or randomNumber == 23 or randomNumber == 24 or randomNumber == 112 or randomNumber == 113 or randomNumber == 114:
            card = ("In (Romansh, 1)")

          elif randomNumber == 25 or randomNumber == 26 or randomNumber == 27 or randomNumber == 115 or randomNumber == 116 or randomNumber == 117:
            card = ("Dus (Romansh, 2)")

          elif randomNumber == 28 or randomNumber == 29 or randomNumber == 30 or randomNumber == 118 or randomNumber == 119 or randomNumber == 120:
            card = ("Trais (Romansh, 3)")

          elif randomNumber == 31 or randomNumber == 32 or randomNumber == 33 or randomNumber == 121 or randomNumber == 122 or randomNumber == 123:
            card = ("Quatter (Romansh, 4)")

          elif randomNumber == 34 or randomNumber == 35 or randomNumber == 36 or randomNumber == 124 or randomNumber == 125 or randomNumber == 126:
            card = ("Tschintg (Romansh, 5)")

          elif randomNumber == 37 or randomNumber == 38 or randomNumber == 39 or randomNumber == 127 or randomNumber == 128 or randomNumber == 129:
            card = ("Zero (French, 0)")

          elif randomNumber == 40 or randomNumber == 41 or randomNumber == 42 or randomNumber == 130 or randomNumber == 131 or randomNumber == 132:
            card = ("Un (French, 1)")

          elif randomNumber == 43 or randomNumber == 44 or randomNumber == 45 or randomNumber == 133 or randomNumber == 134 or randomNumber == 135:
            card = ("Deux (French, 2)")

          elif randomNumber == 46 or randomNumber == 47 or randomNumber == 48 or randomNumber == 136 or randomNumber == 137 or randomNumber == 138:
            card = ("Trois (French, 3)")

          elif randomNumber == 49 or randomNumber == 50 or randomNumber == 51 or randomNumber == 139 or randomNumber == 140 or randomNumber == 141:
            card = ("Quatre (French, 4)")

          elif randomNumber == 52 or randomNumber == 53 or randomNumber == 54 or randomNumber == 142 or randomNumber == 143 or randomNumber == 144:
            card = ("Cinq (French, 5)")

          elif randomNumber == 55 or randomNumber == 56 or randomNumber == 57 or randomNumber == 145 or randomNumber == 146 or randomNumber == 147:
            card = ("Ling (Mandarin, 0)")

          elif randomNumber == 58 or randomNumber == 59 or randomNumber == 60 or randomNumber == 148 or randomNumber == 149 or randomNumber == 150:
            card = ("Yi (Mandarin, 1)")

          elif randomNumber == 61 or randomNumber == 62 or randomNumber == 63 or randomNumber == 151 or randomNumber == 152 or randomNumber == 153:
            card = ("Er (Mandarin, 2)")

          elif randomNumber == 64 or randomNumber == 65 or randomNumber == 66 or randomNumber == 154 or randomNumber == 155 or randomNumber == 156:
            card = ("San (Mandarin, 3)")

          elif randomNumber == 67 or randomNumber == 68 or randomNumber == 69 or randomNumber == 157 or randomNumber == 158 or randomNumber == 159:
            card = ("Si (Mandarin, 4)")

          elif randomNumber == 70 or randomNumber == 71 or randomNumber == 72 or randomNumber == 160 or randomNumber == 161 or randomNumber == 162:
            card = ("Wu (Mandarin, 5)")

          elif randomNumber == 73 or randomNumber == 74 or randomNumber == 75 or randomNumber == 163 or randomNumber == 164 or randomNumber == 165:
            card = ("Nul (Esperanto, 0)")

          elif randomNumber == 76 or randomNumber == 77 or randomNumber == 78 or randomNumber == 166 or randomNumber == 167 or randomNumber == 168:
            card = ("Unu (Esperanto, 1)")

          elif randomNumber == 79 or randomNumber == 80 or randomNumber == 81 or randomNumber == 169 or randomNumber == 170 or randomNumber == 171:
            card = ("Du (Esperanto, 2)")

          elif randomNumber == 82 or randomNumber == 83 or randomNumber == 84 or randomNumber == 172 or randomNumber == 173 or randomNumber == 174:
            card = ("Tri (Esperanto, 3)")

          elif randomNumber == 85 or randomNumber == 86 or randomNumber == 87 or randomNumber == 175 or randomNumber == 176 or randomNumber == 177:
            card = ("Kvar (Esperanto, 4)")

          elif randomNumber == 88 or randomNumber == 89 or randomNumber == 90 or randomNumber == 178 or randomNumber == 179 or randomNumber == 180:
            card = ("Kvin (Esperanto, 5)")

          elif randomNumber == 181 or randomNumber == 182 or randomNumber == 183:
            card = ("Wild Card (Language Changing Card)")

          elif randomNumber == 184 or randomNumber == 185 or randomNumber == 186:
            card = ("Draw 1 (Language Changing Card)")

          elif randomNumber == 187 or randomNumber == 188 or randomNumber == 189:
            card = ("Draw 2 (Language Changing Card)")

          elif randomNumber == 190 or randomNumber == 191:
            card = ("Draw 3 (Language Changing Card)")

          elif randomNumber == 192 or randomNumber == 193:
            card = ("Draw 4 (Language Changing Card)")

          elif randomNumber == 194:
            card = ("Draw 5 (Languageless Card)")

          elif randomNumber == 195:
            card = ("Draw 6 (Languageless Card)")

          elif randomNumber == 196 or randomNumber == 197 or randomNumber == 198:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Reverse Order")

            elif subNumber == 2:
              card = ("Romansh Reverse Order")

            elif subNumber == 3:
              card = ("French Reverse Order")

            elif subNumber == 4:
              card = ("Mandarin Reverse Order")
            
            elif subNumber == 5:
              card = ("Esperanto Reverse Order")
           
          elif randomNumber == 199:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Trade A")

            elif subNumber == 2:
              card = ("Romansh Trade A")

            elif subNumber == 3:
              card = ("French Trade A")

            elif subNumber == 4:
              card = ("Mandarin Trade A")
            
            elif subNumber == 5:
              card = ("Esperanto Trade A")

          elif randomNumber == 200:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Trade B")

            elif subNumber == 2:
              card = ("Romansh Trade B")

            elif subNumber == 3:
              card = ("French Trade B")

            elif subNumber == 4:
              card = ("Mandarin Trade B")
            
            elif subNumber == 5:
              card = ("Esperanto Trade B")

          elif randomNumber == 201 or randomNumber == 202 or randomNumber == 203:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Swap A")

            elif subNumber == 2:
              card = ("Romansh Swap A")

            elif subNumber == 3:
              card = ("French Swap A")

            elif subNumber == 4:
              card = ("Mandarin Swap A")
            
            elif subNumber == 5:
              card = ("Esperanto Swap A")

          elif randomNumber == 204 or randomNumber == 205 or randomNumber == 206:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Swap B")

            elif subNumber == 2:
              card = ("Romansh Swap B")

            elif subNumber == 3:
              card = ("French Swap B")

            elif subNumber == 4:
              card = ("Mandarin Swap B")
            
            elif subNumber == 5:
              card = ("Esperanto Swap B")

          elif randomNumber == 207 or randomNumber == 208:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Choice Swap")

            elif subNumber == 2:
              card = ("Romansh Choice Swap")

            elif subNumber == 3:
              card = ("French Choice Swap")

            elif subNumber == 4:
              card = ("Mandarin Choice Swap")
            
            elif subNumber == 5:
              card = ("Esperanto Choice Swap")

          elif randomNumber == 209 or randomNumber == 210 or randomNumber == 211:
            card = ("+1 (Languageless Card)")

          elif randomNumber == 212 or randomNumber == 213:
            card = ("+2 (Languageless Card)")

          elif randomNumber == 214:
            card = ("+3 (Languageless Card)")

          elif randomNumber == 215 or randomNumber == 216 or randomNumber == 217:
            card = ("-1 (Languageless Card)")

          elif randomNumber == 218 or randomNumber == 219:
            card = ("-2 (Languageless Card)")

          elif randomNumber == 220:
            card = ("-3 (Languageless Card)")

          elif randomNumber == 221 or randomNumber == 222 or randomNumber == 223:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Skip")

            elif subNumber == 2:
              card = ("Romansh Skip")

            elif subNumber == 3:
              card = ("French Skip")

            elif subNumber == 4:
              card = ("Mandarin Skip")
            
            elif subNumber == 5:
              card = ("Esperanto Skip")

          elif randomNumber == 224 or randomNumber == 225 or randomNumber == 226:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Skip Twice")

            elif subNumber == 2:
              card = ("Romansh Skip Twice")

            elif subNumber == 3:
              card = ("French Skip Twice")

            elif subNumber == 4:
              card = ("Mandarin Skip Twice")
            
            elif subNumber == 5:
              card = ("Esperanto Skip Twice")

          elif randomNumber == 227:
            card = ("Skip in Some Countries (Languageless Card)")

          elif randomNumber == 228:
            card = ("New Hands (Language Changing Card)")

          elif randomNumber == 229:
            card = ("Phantom Card (Languageless Card)")

          elif randomNumber == 230 or randomNumber == 231 or randomNumber == 232:
            subNumber = random.randint(1, 6)
            
            if subNumber == 1:
              card = ("Cannon Card (Language Changing Card)")

            elif subNumber == 2:
              card = ("Sniper Card (Language Changing Card)")

            elif subNumber == 3:
              card = ("Tank Card (Language Changing Card)")

            elif subNumber == 4:
              card = ("Antiaircraft Card (Language Changing Card)")
            
            elif subNumber == 5:
              card = ("Nuclear Detonation Card (Languageless Card)")

            elif subNumber == 6:
              card = ("En Passant Card (Language Changing Card)")

          elif randomNumber == 233:
            subNumber = random.randint(1, 2)
            
            if subNumber == 1:
              card = ("Shield Card")

            elif subNumber == 2:
              card = ("Recursive Card")

          print(f"You drawed {card}.")

          hand.append(card)

          continueLoop = input('''Press 1 to draw another card.
Press 2 to return to the options menu.

''')

      elif choice == "3":
        cardFound = None

        while cardFound != "True":
          clear()

          print(color.BOLD + "Remove a Played Card" + color.END)

          print("Please avoid using this menu to cheat, it is only meant to be used when a card is played and has left your hand.")

          print(f"\nYour current hand is: ")

          for cards in hand:
            print(cards)

          cardRemoved = input('''\nWhat is the card that you
played? Please make sure it is spelled exactly as it is in your
hand, including parantheses. If you do not have a card to remove,
type Exit.

''').title()

          if cardRemoved in hand:
            hand.remove(cardRemoved)
            cardFound = "True"

          elif cardRemoved not in hand and cardRemoved == "Exit":
            clear()
            cardFound = "True"

          elif cardRemoved not in hand and cardRemoved == "New Arcade":
            input("\nI am not a card.")
            clear()

          elif cardRemoved not in hand:
            input("\nCard not found. Press enter and try again. ")
            clear()

      elif choice == "4":
        continueAlter = "True"

        while continueAlter != "False":
          clear()

          print(color.BOLD + "Alter Hand" + color.END)

          print("Please avoid using this menu to cheat and only use it for cards that alter hands, except for the New Hands Card. Cheating takes the fun out of the game.")

          choice2 = input('''\nPress 1 to input new hand for swapping/trading hands cards.
Press 2 to change all zeros to skips for Skip in Some Countries card.
Press 3 to return to the menu.

''')

          if choice2 == "1":
            clear()

            print(color.BOLD + "Alter Hand" + color.END)

            hand = []

            number = 1

            amountofCards = int(input("How many cards are in your new hand? "))

            for x in range (0, amountofCards):
              handAddition = input(f"\nWhat is the name of Card {number} in your new hand? ").title()

              hand.append(handAddition)
              
              number += 1

            continueAlter = "False"

          elif choice2 == "2":
            clear()

            hand = [h.replace('Null (German, 0)', 'German Skip') for h in hand]
            hand = [h.replace('Nulla (Romansh, 0)', 'Romansh Skip') for h in hand]
            hand = [h.replace('Zéro (French, 0)', 'French Skip') for h in hand]
            hand = [h.replace('Zero (French, 0)', 'French Skip') for h in hand]
            hand = [h.replace('Líng (Mandarin, 0)', 'Mandarin Skip') for h in hand]
            hand = [h.replace('Ling (Mandarin, 0)', 'Mandarin Skip') for h in hand]
            hand = [h.replace('Nul (Esperanto, 0)', 'Esperanto Skip') for h in hand]

            continueAlter = "False"

          elif choice2 == "3":
            clear()
            continueAlter = "False"

          else:
            input("Invalid option. Press enter and try again. ")
            clear()

      elif choice == "5":
        choice2 = None
        
        while choice2 != "0":
          
          clear()

          print(color.BOLD + "Review Rules and Cards" + color.END)

          choice2 = input('''Press 1 to view the rules.
Press 2 to view the cards.
Press 0 to return to game selection. 

''')

          if choice2 == "1":
            clear()
            
            print(color.BOLD + "Rules" + color.END)

            input('''To play the game, you will need a chat service such as Discord to communicate 
with your friends.

Upon selecting the gamemode, each player enters the Turn Selection menu, and tells the others 
what number they recieved. Play order is determined by highest to lowest number, unless a Reverse 
Order card is played.

Each player draws seven cards to start off.

On each turn, a player "places" down a card, or in other words states which card they are using 
in the chat service. When starting off, the first person who goes can play any card they want. 
The next player can then play a card of the same language or number as the previous card, or play 
any card labeled as a "Languageless Card" or a "Language Changing Card".

If the player has no valid cards to play, they must draw cards until they recieve one.

Languageless Cards can be played regardless of the language of the current top card, but will 
not change the language in use. Language Changing Cards can be played regardless of language, 
and the player using the card can then choose which language will be in use.

When a Trade Card or a Swap Card is played, each player should privately message, or DM, their 
hand to the player they are giving their hand to.

The first player to have an empty hand wins the game. ''')

          elif choice2 == "2":
            clear()

            print(color.BOLD + "Basic Cards" + color.END)
            print('''The most common cards in the game are the Basic Cards. These cards feature a language and a color. 
The five languages are German, Romansh, French, Mandarin, and Esperanto. Classic features numbers 0-9, 
but Base-12 has numbers 0-B and Base-6 has 0-5.''')

            print("\n" + color.BOLD + "Wild and Phantom Cards" + color.END)  
            print('''Wild Cards and Phantom Cards can be used regardless of the current language. Wild Cards allow the
player to change the language in use, so the next player must play a card of that language. Phantom Cards 
don't change the language, and function as if they weren't there at all - the next player plays a card as 
if the number and language were still exactly the same as before.''')

            print("\n" + color.BOLD + "Draw Cards" + color.END)  
            print('''Draw Cards make the next player have to skip their turn and draw however many cards are specified 
on the Draw Card (1-6 cards). Draw 1 up to Draw 4 are Language Changing, while Draw 5 and Draw 6 are
Languageless. Optionally, Draw Cards may be stacked on each other and the player who can not add to the 
stack must draw the cards, but this is not a rule in regular play.''')  

            print("\n" + color.BOLD + "Reverse Order Cards" + color.END)  
            print('''Reverse Order Cards simply reverse the order of play. Instead of the person who was assigned the
next lowest number in the Turn Selection going next, the person who was assigned the next highest number 
goes next, or vice versa if a second reverse card is used.''')   

            print("\n" + color.BOLD + "Trade Cards" + color.END)  
            print('''Trade Cards make everyone swap hands. Trade A means each person has to give their hand to the person 
whos turn is after theirs, while Trade B is the opposite - each person has to give their hand to the person who 
goes before them. Trade Cards can only be used on their matching language.''')

            print("\n" + color.BOLD + "Swap Cards" + color.END)  
            print('''Swap Cards allow the player using the card to swap hands with one person. Swap A lets the player swap 
with the player whos turn is after theirs, while Swap B lets the player swap with the person whos turn is 
before theirs. Choice Swap allows the player to swap hands with whoever they wish.''')

            print("\n" + color.BOLD + "+ and - Cards" + color.END)  
            print('''+ and - Cards add or subtract to the number of the previous card. They can go up to + or - 3, and are 
Languageless Cards, so they have no effect on the language in use. If a + or - Card would result in the number 
going above 9 or below 0, the numbers loop over (ex. A +3 card used on Acht (German, 8) Card would simply 
go three up to Eins (German, 1), instead of to an eleven card.''')

            print("\n" + color.BOLD + "Skip Cards" + color.END)  
            print('''Skip Cards simply skip the turn of the next player, while Skip Twice cards skip the next two 
players turns. They can only be used on their respective languages.''')

            print("\n" + color.BOLD + "Skip in Some Countries" + color.END)  
            print('''Skip in Some Countries is a card that converts all zeroes to skips in everyones hands. This conversion 
can easily be done by going into the Alter Hand menu and selecting option two. The card may only be played 
after a zero or a skip, but can be played on any language.''')

            print("\n" + color.BOLD + "New Hands" + color.END)  
            print('''New Hands makes everyone clear their hand and draw new cards. The amount of cards drawn is the same 
amount each player had before the card was played, but if a player only had one card left they must draw 
an additional card.''')

            print("\n" + color.BOLD + "Long Range Artillery Cards" + color.END)  
            print('''Long Range Artillery Cards are like draw cards, but no one has to skip a turn. There are four types of them. 
Cannon Cards make the person two turns away draw one card and Sniper Cards make the person two turns away draw
two cards, but if there is only two players then this changes to the person one turn away. Tank Cards make the 
person three turns away draw one card and Antiaircraft Cards make the person three turns away draw two cards, 
but if there is only three players then this changes to the person two turns away. ''')

            print("\n" + color.BOLD + "Nuclear Detonation Cards" + color.END)  
            print('''Nuclear Detonation Cards make everyone draw one card, including the person who played it. No turns are skipped.''')

            print("\n" + color.BOLD + "En Passant Cards" + color.END)  
            print('''En Passant Cards make the person whos turn is before the card player draw one card. No turns are skipped.''')

            print("\n" + color.BOLD + "Shield Cards" + color.END)  
            print('''Shield Cards can be played whenever a Skip Card, Skip Twice Card, Draw Card, En Passant Card, or Swap Card is 
played against the person with the Shield Card. It blocks the effects of the card, and once placed acts as a 
Phantom Card. Shield Cards can only be played normally if another shield card has been played last.''')

            print("\n" + color.BOLD + "Recursive Cards" + color.END) 
            input('''When a Recursive Card is played, it acts as a Phantom Card, but the person who played it gets to play again.''')

          elif choice2 == "0":
            clear()

          else:
            input("Invalid option. Press enter and try again. ")
            clear()

      elif choice == "9":
        hand = []

      elif choice == "0":
        clear()

      else:
        input("Invalid option. Press enter and try again. ")
        clear()






































































  if gameChoice == "5":
    while choice != "0":
      clear()

      continueLoop = None

      print(color.BOLD + "Lingua Franca Boring Edition" + color.END)

      print(f"Your current hand is: ")

      for cards in hand:
        print(cards)

      choice = input('''\nPress 1 to enter Turn Selection.
Press 2 to Draw a Card.
Press 3 to Remove a Played Card from Hand.
Press 4 to Review Rules and Cards.
Press 9 to Clear Hand.
Press 0 to End the Game.

''')
      
      if choice == "1":
        clear()
        turnSelection = random.randint(1, 100)

        print(color.BOLD + "Turn Selection" + color.END)

        input(f"Your number is {turnSelection}. The person with the highest number goes first. ")

      elif choice == "2":

        while continueLoop != "2":
          clear()

          subNumber = None

          print(color.BOLD + "Draw a Card" + color.END)

          randomNumber = random.randint(1, 57)

          if randomNumber == 1:
            card = ("Null (German, 0)")

          elif randomNumber == 2:
            card = ("Eins (German, 1)")

          elif randomNumber == 3:
            card = ("Zwei (German, 2)")

          elif randomNumber == 4:
            card = ("Drei (German, 3)")

          elif randomNumber == 5:
            card = ("Vier (German, 4)")

          elif randomNumber == 6:
            card = ("Funf (German, 5)")

          elif randomNumber == 7:
            card = ("Sechs (German, 6)")

          elif randomNumber == 8:
            card = ("Sieben (German, 7)")

          elif randomNumber == 9:
            card = ("Acht (German, 8)")

          elif randomNumber == 10:
            card = ("Neun (German, 9)")

          elif randomNumber == 11:
            card = ("Nulla (Romansh, 0)")

          elif randomNumber == 12:
            card = ("In (Romansh, 1)")

          elif randomNumber == 13:
            card = ("Dus (Romansh, 2)")

          elif randomNumber == 14:
            card = ("Trais (Romansh, 3)")

          elif randomNumber == 15:
            card = ("Quatter (Romansh, 4)")

          elif randomNumber == 16:
            card = ("Tschintg (Romansh, 5)")

          elif randomNumber == 17:
            card = ("Sis (Romansh, 6)")

          elif randomNumber == 18:
            card = ("Set (Romansh, 7)")

          elif randomNumber == 19:
            card = ("Otg (Romansh, 8)")

          elif randomNumber == 20:
            card = ("Nov (Romansh, 9)")

          elif randomNumber == 21:
            card = ("Zero (French, 0)")

          elif randomNumber == 22:
            card = ("Un (French, 1)")

          elif randomNumber == 23:
            card = ("Deux (French, 2)")

          elif randomNumber == 24:
            card = ("Trois (French, 3)")

          elif randomNumber == 25:
            card = ("Quatre (French, 4)")

          elif randomNumber == 26:
            card = ("Cinq (French, 5)")

          elif randomNumber == 27:
            card = ("Six (French, 6)")

          elif randomNumber == 28:
            card = ("Sept (French, 7)")

          elif randomNumber == 29:
            card = ("Huit (French, 8)")

          elif randomNumber == 30:
            card = ("Neuf (French, 9)")

          elif randomNumber == 31:
            card = ("Ling (Mandarin, 0)")

          elif randomNumber == 32:
            card = ("Yi (Mandarin, 1)")

          elif randomNumber == 33:
            card = ("Er (Mandarin, 2)")

          elif randomNumber == 34:
            card = ("San (Mandarin, 3)")

          elif randomNumber == 35:
            card = ("Si (Mandarin, 4)")

          elif randomNumber == 36:
            card = ("Wu (Mandarin, 5)")

          elif randomNumber == 37:
            card = ("Liu (Mandarin, 6)")

          elif randomNumber == 38:
            card = ("Qi (Mandarin, 7)")

          elif randomNumber == 39:
            card = ("Ba (Mandarin, 8)")

          elif randomNumber == 40:
            card = ("Jiu (Mandarin, 9)")

          elif randomNumber == 41:
            card = ("Nul (Esperanto, 0)")

          elif randomNumber == 42:
            card = ("Unu (Esperanto, 1)")

          elif randomNumber == 43:
            card = ("Du (Esperanto, 2)")

          elif randomNumber == 44:
            card = ("Tri (Esperanto, 3)")

          elif randomNumber == 45:
            card = ("Kvar (Esperanto, 4)")

          elif randomNumber == 46:
            card = ("Kvin (Esperanto, 5)")

          elif randomNumber == 47:
            card = ("Ses (Esperanto, 6)")

          elif randomNumber == 48:
            card = ("Sep (Esperanto, 7)")

          elif randomNumber == 49:
            card = ("Ok (Esperanto, 8)")

          elif randomNumber == 50:
            card = ("Nau (Esperanto, 9)")

          elif randomNumber == 51:
            card = ("Wild Card (Language Changing Card)")

          elif randomNumber == 52:
            card = ("Draw 2 (Language Changing Card)")

          elif randomNumber == 53:
            card = ("Draw 4 (Language Changing Card)")

          elif randomNumber == 54 or randomNumber == 55:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Reverse Order")

            elif subNumber == 2:
              card = ("Romansh Reverse Order")

            elif subNumber == 3:
              card = ("French Reverse Order")

            elif subNumber == 4:
              card = ("Mandarin Reverse Order")
            
            elif subNumber == 5:
              card = ("Esperanto Reverse Order")

          elif randomNumber == 56 or randomNumber == 57:
            subNumber = random.randint(1, 5)
            
            if subNumber == 1:
              card = ("German Skip")

            elif subNumber == 2:
              card = ("Romansh Skip")

            elif subNumber == 3:
              card = ("French Skip")

            elif subNumber == 4:
              card = ("Mandarin Skip")
            
            elif subNumber == 5:
              card = ("Esperanto Skip")

          print(f"You drawed {card}.")

          hand.append(card)

          continueLoop = input('''Press 1 to draw another card.
Press 2 to return to the options menu.

''')

      elif choice == "3":
        cardFound = None

        while cardFound != "True":
          clear()

          print(color.BOLD + "Remove a Played Card" + color.END)

          print("Please avoid using this menu to cheat, it is only meant to be used when a card is played and has left your hand.")

          print(f"\nYour current hand is: ")

          for cards in hand:
            print(cards)

          cardRemoved = input('''\nWhat is the card that you
played? Please make sure it is spelled exactly as it is in your
hand, including parantheses. If you do not have a card to remove,
type Exit.

''').title()

          if cardRemoved in hand:
            hand.remove(cardRemoved)
            cardFound = "True"

          elif cardRemoved not in hand and cardRemoved == "Exit":
            clear()
            cardFound = "True"

          elif cardRemoved not in hand and cardRemoved == "New Arcade":
            input("\nI am not a card.")
            clear()

          elif cardRemoved not in hand:
            input("\nCard not found. Press enter and try again. ")
            clear()

      elif choice == "4":
        choice2 = None
        
        while choice2 != "0":
          clear()

          print(color.BOLD + "Review Rules and Cards" + color.END)

          choice2 = input('''Press 1 to view the rules.
Press 2 to view the cards.
Press 0 to return to game selection. 

''')

          if choice2 == "1":
            clear()

            print(color.BOLD + "Rules" + color.END)

            input('''To play the game, you will need a chat service such as Discord to communicate 
with your friends.

Upon selecting the gamemode, each player enters the Turn Selection menu, and tells the others 
what number they recieved. Play order is determined by highest to lowest number, unless a Reverse 
Order card is played.

Each player draws seven cards to start off.

On each turn, a player "places" down a card, or in other words states which card they are using 
in the chat service. When starting off, the first person who goes can play any card they want. 
The next player can then play a card of the same language or number as the previous card, or play 
any card labeled as a "Languageless Card" or a "Language Changing Card".

If the player has no valid cards to play, they must draw cards until they recieve one.

Languageless Cards can be played regardless of the language of the current top card, but will 
not change the language in use. Language Changing Cards can be played regardless of language, 
and the player using the card can then choose which language will be in use.

The first player to have an empty hand wins the game. ''')

          elif choice2 == "2":
            clear()

            print(color.BOLD + "Basic Cards" + color.END)
            print('''The most common cards in the game are the Basic Cards. These cards feature a language and a color. 
The five languages are German, Romansh, French, Mandarin, and Esperanto. Classic features numbers 0-9, 
but Base-12 has numbers 0-B and Base-6 has 0-5.''')

            print("\n" + color.BOLD + "Wild Cards" + color.END)  
            print('''Wild Cards can be used regardless of the current language. Wild Cards allow the
player to change the language in use, so the next player must play a card of that language.''')

            print("\n" + color.BOLD + "Draw Cards" + color.END)  
            print('''Draw Cards make the next player have to skip their turn and draw however many cards are specified 
on the Draw Card (2 or 4 cards). Optionally, Draw Cards may be stacked on each other and the player who can not add to the 
stack must draw the cards, but this is not a rule in regular play.''')  

            print("\n" + color.BOLD + "Reverse Order Cards" + color.END)  
            print('''Reverse Order Cards simply reverse the order of play. Instead of the person who was assigned the
next lowest number in the Turn Selection going next, the person who was assigned the next highest number 
goes next, or vice versa if a second reverse card is used.''')   

            print("\n" + color.BOLD + "Skip Cards" + color.END)  
            input('''Skip Cards simply skip the turn of the next player. They can only be used on their respective languages.''')

          elif choice2 == "0":
            clear()

          else:
            input("Invalid option. Press enter and try again. ")
            clear()

      elif choice == "9":
        hand = []

      elif choice == "0":
        clear()

      else:
        input("Invalid option. Press enter and try again. ")
        clear()







































































  elif gameChoice == "Uno" or gameChoice == "uno":
    clear()
    print(color.BOLD + "UNO MODE ACTIVATED" + color.END)
    input("Press enter to continue.")
    
    while choice != "0":
      clear()

      continueLoop = None

      print(color.BOLD + "Uno" + color.END)

      print(f"Your current hand is: ")

      for cards in hand:
        print(cards)

      choice = input('''\nPress 1 to enter Turn Selection.
Press 2 to Draw a Card.
Press 3 to Remove a Played Card from Hand.
Press 4 to Alter Hand.
Press 5 to Review Rules and Cards.
Press 9 to Clear Hand.
Press 0 to End the Game.

''')
      
      if choice == "1":
        clear()
        turnSelection = random.randint(1, 100)

        print(color.BOLD + "Turn Selection" + color.END)

        input(f"Your number is {turnSelection}. The person with the highest number goes first. ")

      elif choice == "2":

        while continueLoop != "2":
          clear()

          subNumber = None

          print(color.BOLD + "Draw a Card" + color.END)

          randomNumber = random.randint(1, 109)

          if randomNumber == 1:
            card = ("Red Zero")

          if randomNumber == 2 or randomNumber == 3:
            card = ("Red One")

          if randomNumber == 4 or randomNumber == 5:
            card = ("Red Two")

          if randomNumber == 6 or randomNumber == 7:
            card = ("Red Three")

          if randomNumber == 9 or randomNumber == 10:
            card = ("Red Four")

          if randomNumber == 11 or randomNumber == 12:
            card = ("Red Five")

          if randomNumber == 12 or randomNumber == 14:
            card = ("Red Six")

          if randomNumber == 15 or randomNumber == 16:
            card = ("Red Seven")

          if randomNumber == 17 or randomNumber == 18:
            card = ("Red Eight")

          if randomNumber == 19 or randomNumber == 20:
            card = ("Red Nine")

          if randomNumber == 21 or randomNumber == 22:
            card = ("Red Skip")

          if randomNumber == 23 or randomNumber == 24:
            card = ("Red Reverse")

          if randomNumber == 25 or randomNumber == 26:
            card = ("Red Draw 2")

          if randomNumber == 27:
            card = ("Yellow Zero")

          if randomNumber == 28 or randomNumber == 29:
            card = ("Yellow One")

          if randomNumber == 30 or randomNumber == 31:
            card = ("Yellow Two")

          if randomNumber == 32 or randomNumber == 33:
            card = ("Yellow Three")

          if randomNumber == 34 or randomNumber == 35:
            card = ("Yellow Four")

          if randomNumber == 36 or randomNumber == 37:
            card = ("Yellow Five")

          if randomNumber == 38 or randomNumber == 39:
            card = ("Yellow Six")

          if randomNumber == 40 or randomNumber == 41:
            card = ("Yellow Seven")

          if randomNumber == 42 or randomNumber == 43:
            card = ("Yellow Eight")

          if randomNumber == 44 or randomNumber == 45:
            card = ("Yellow Nine")

          if randomNumber == 46 or randomNumber == 47:
            card = ("Yellow Skip")

          if randomNumber == 48 or randomNumber == 49:
            card = ("Yellow Reverse")

          if randomNumber == 50 or randomNumber == 51:
            card = ("Yellow Draw 2")

          if randomNumber == 52:
            card = ("Green Zero")

          if randomNumber == 53 or randomNumber == 54:
            card = ("Green One")

          if randomNumber == 55 or randomNumber == 56:
            card = ("Green Two")

          if randomNumber == 57 or randomNumber == 58:
            card = ("Green Three")

          if randomNumber == 59 or randomNumber == 60:
            card = ("Green Four")

          if randomNumber == 61 or randomNumber == 62:
            card = ("Green Five")

          if randomNumber == 63 or randomNumber == 64:
            card = ("Green Six")

          if randomNumber == 65 or randomNumber == 66:
            card = ("Green Seven")

          if randomNumber == 67 or randomNumber == 68:
            card = ("Green Eight")

          if randomNumber == 69 or randomNumber == 70:
            card = ("Green Nine")

          if randomNumber == 71 or randomNumber == 72:
            card = ("Green Skip")

          if randomNumber == 73 or randomNumber == 74:
            card = ("Green Reverse")

          if randomNumber == 75 or randomNumber == 76:
            card = ("Green Draw 2")

          if randomNumber == 77:
            card = ("Blue Zero")

          if randomNumber == 78 or randomNumber == 79:
            card = ("Blue One")

          if randomNumber == 80 or randomNumber == 81:
            card = ("Blue Two")

          if randomNumber == 82 or randomNumber == 83:
            card = ("Blue Three")

          if randomNumber == 84 or randomNumber == 85:
            card = ("Blue Four")

          if randomNumber == 86 or randomNumber == 87:
            card = ("Blue Five")

          if randomNumber == 88 or randomNumber == 89:
            card = ("Blue Six")

          if randomNumber == 90 or randomNumber == 91:
            card = ("Blue Seven")

          if randomNumber == 92 or randomNumber == 93:
            card = ("Blue Eight")

          if randomNumber == 94 or randomNumber == 95:
            card = ("Blue Nine")

          if randomNumber == 96 or randomNumber == 97:
            card = ("Blue Skip")

          if randomNumber == 98 or randomNumber == 99:
            card = ("Blue Reverse")

          if randomNumber == 100 or randomNumber == 101:
            card = ("Blue Draw 2")

          if randomNumber == 102 or randomNumber == 103 or randomNumber == 104 or randomNumber == 105:
            card = ("Wild Card")

          if randomNumber == 106 or randomNumber == 107 or randomNumber == 108 or randomNumber == 109:
            card = ("Draw 4")

          if randomNumber == 8:
            card = ("Swap Hands")

          print(f"You drawed {card}.")

          hand.append(card)

          continueLoop = input('''Press 1 to draw another card.
Press 2 to return to the options menu.

''')

      elif choice == "3":
        cardFound = None

        while cardFound != "True":
          clear()

          print(color.BOLD + "Remove a Played Card" + color.END)

          print("Please avoid using this menu to cheat, it is only meant to be used when a card is played and has left your hand.")

          print(f"\nYour current hand is: ")

          for cards in hand:
            print(cards)

          cardRemoved = input('''\nWhat is the card that you
played? Please make sure it is spelled exactly as it is in your
hand, including parantheses. If you do not have a card to remove,
type Exit.

''').title()

          if cardRemoved in hand:
            hand.remove(cardRemoved)
            cardFound = "True"

          elif cardRemoved not in hand and cardRemoved == "Exit":
            clear()
            cardFound = "True"

          elif cardRemoved not in hand and cardRemoved == "New Arcade":
            input("\nI am not a card.")
            clear()

          elif cardRemoved not in hand:
            input("\nCard not found. Press enter and try again. ")
            clear()


      elif choice == "4":
        continueAlter = "True"

        while continueAlter != "False":
        
          clear()

          print(color.BOLD + "Alter Hand" + color.END)

          print("Please avoid using this menu to cheat and only use it for swapping hands. Cheating takes the fun out of the game.")

          choice2 = input('''\nPress 1 to input new hand for swapping hands.
Press 2 to return to the menu.

''')

          if choice2 == "1":
            clear()

            hand = []

            number = 1

            print(color.BOLD + "Alter Hand" + color.END)

            amountofCards = int(input("How many cards are in your new hand? "))

            for x in range (0, amountofCards):
              handAddition = input(f"\nWhat is the name of Card {number} in your new hand? ").title()

              hand.append(handAddition)
              
              number += 1

            continueAlter = "False"

          elif choice2 == "2":
            clear()
            continueAlter = "False"

          else:
            input("Invalid option. Press enter and try again. ")
            clear()

      elif choice == "5":
        choice2 = None
        
        while choice2 != "0":
          clear()

          print(color.BOLD + "Review Rules and Cards" + color.END)

          choice2 = input('''Press 1 to view the rules.
Press 2 to view the cards.
Press 0 to return to game selection. 

''')

          if choice2 == "1":
            clear()

            print(color.BOLD + "Rules" + color.END)

            input('''To play the game, you will need a chat service such as Discord to communicate 
with your friends.

Upon selecting the gamemode, each player enters the Turn Selection menu, and tells the others 
what number they recieved. Play order is determined by highest to lowest number, unless a Reverse 
Order card is played.

Each player draws seven cards to start off.

On each turn, a player "places" down a card, or in other words states which card they are using 
in the chat service. When starting off, the first person who goes can play any card they want. 
The next player can then play a card of the same number or color as the previous card, or play 
a Wild Card, a Draw 4 Card, or a Swap Hands Card.

If the player has no valid cards to play, they must draw cards until they recieve one.

When a Wild Card, Draw 4 Card, or Swap Hands Card is played the player chooses a new color to use.

When a Swap Hands Card is played, each player should privately message, or DM, their 
hand to the player they are giving their hand to.

The first player to have an empty hand wins the game. ''')

          elif choice2 == "2":
            clear()

            print(color.BOLD + "Basic Cards" + color.END)
            print('''The most common cards in the game are the Basic Cards. These cards feature a number and a color. 
The four colors are Red, Yellow, Green, and Blue. The numbers are 0-9.
An optional rule is that when a 0 is played everyone swaps hands with person whos turn is after theirs
and when someone plays a 7 they can pick someone to swap hands with.''')

            print("\n" + color.BOLD + "Wild Cards" + color.END)  
            print('''Wild Cards and Phantom Cards can be used regardless of the current color. Wild Cards allow the
player to change the color in use, so the next player must play a card of that color.''')

            print("\n" + color.BOLD + "Draw Cards" + color.END)  
            print('''Draw Cards make the next player have to skip their turn and draw however many cards are specified 
on the Draw Card (2 or 4 cards). Draw 4 cards also work like wild cards and can change the color in use. Optionally, Draw Cards may be stacked on each other and the player who can not add to the 
stack must draw the cards, but this is not a rule in regular play.''')  

            print("\n" + color.BOLD + "Reverse Cards" + color.END)  
            print('''Reverse Cards simply reverse the order of play. Instead of the person who was assigned the
next lowest number in the Turn Selection going next, the person who was assigned the next highest number 
goes next, or vice versa if a second reverse card is used.''')   

            print("\n" + color.BOLD + "Skip Cards" + color.END)  
            print('''Skip Cards simply skip the turn of the next player. They can only be used on their respective colors.''')

            print("\n" + color.BOLD + "Swap Hands Card" + color.END)  
            input('''Swap Hands Cards allow the player using the card to swap hands with one person. They work 
like Wild Cards, allowing the player to change the color in use.''')

          elif choice2 == "0":
            clear()

          else:
            input("Invalid option. Press enter and try again. ")
            clear()

      elif choice == "9":
        hand = []

      elif choice == "0":
        clear()

      else:
        input("Invalid option. Press enter and try again. ")
        clear()






































  elif gameChoice == "0":
    print()

  elif gameChoice == "new arcade" or gameChoice == "New arcade" or gameChoice == "New Arcade" or gameChoice == "Arcade" or gameChoice == "arcade":
    clear()
    print(''' ███▄    █ ▓█████  █     █░    ▄▄▄       ██▀███   ▄████▄   ▄▄▄      ▓█████▄ ▓█████ 
 ██ ▀█   █ ▓█   ▀ ▓█░ █ ░█░   ▒████▄    ▓██ ▒ ██▒▒██▀ ▀█  ▒████▄    ▒██▀ ██▌▓█   ▀ 
▓██  ▀█ ██▒▒███   ▒█░ █ ░█    ▒██  ▀█▄  ▓██ ░▄█ ▒▒▓█    ▄ ▒██  ▀█▄  ░██   █▌▒███   
▓██▒  ▐▌██▒▒▓█  ▄ ░█░ █ ░█    ░██▄▄▄▄██ ▒██▀▀█▄  ▒▓▓▄ ▄██▒░██▄▄▄▄██ ░▓█▄   ▌▒▓█  ▄ 
▒██░   ▓██░░▒████▒░░██▒██▓     ▓█   ▓██▒░██▓ ▒██▒▒ ▓███▀ ░ ▓█   ▓██▒░▒████▓ ░▒████▒
░ ▒░   ▒ ▒ ░░ ▒░ ░░ ▓░▒ ▒      ▒▒   ▓▒█░░ ▒▓ ░▒▓░░ ░▒ ▒  ░ ▒▒   ▓▒█░ ▒▒▓  ▒ ░░ ▒░ ░
░ ░░   ░ ▒░ ░ ░  ░  ▒ ░ ░       ▒   ▒▒ ░  ░▒ ░ ▒░  ░  ▒     ▒   ▒▒ ░ ░ ▒  ▒  ░ ░  ░
   ░   ░ ░    ░     ░   ░       ░   ▒     ░░   ░ ░          ░   ▒    ░ ░  ░    ░   
         ░    ░  ░    ░             ░  ░   ░     ░ ░            ░  ░   ░       ░  ░
                                                 ░                   ░             ''')

    input()
    clear()

  elif gameChoice == "Lingua Franca":
    input("You'll have to be a bit more specific.")
    clear()

  elif gameChoice == "369":
    input("Game was renamed, sorry.")
    clear()

  else:
    input("Invalid option. Press enter and try again. ")
    clear()

clear()

print('''██╗     ██╗███╗   ██╗ ██████╗ ██╗   ██╗ █████╗     ███████╗██████╗  █████╗ ███╗   ██╗ ██████╗ █████╗ 
██║     ██║████╗  ██║██╔════╝ ██║   ██║██╔══██╗    ██╔════╝██╔══██╗██╔══██╗████╗  ██║██╔════╝██╔══██╗
██║     ██║██╔██╗ ██║██║  ███╗██║   ██║███████║    █████╗  ██████╔╝███████║██╔██╗ ██║██║     ███████║
██║     ██║██║╚██╗██║██║   ██║██║   ██║██╔══██║    ██╔══╝  ██╔══██╗██╔══██║██║╚██╗██║██║     ██╔══██║
███████╗██║██║ ╚████║╚██████╔╝╚██████╔╝██║  ██║    ██║     ██║  ██║██║  ██║██║ ╚████║╚██████╗██║  ██║
╚══════╝╚═╝╚═╝  ╚═══╝ ╚═════╝  ╚═════╝ ╚═╝  ╚═╝    ╚═╝     ╚═╝  ╚═╝╚═╝  ╚═╝╚═╝  ╚═══╝ ╚═════╝╚═╝  ╚═╝ 


Thank you for playing.''')

sleep(2)